Bug 39832

Summary: SIGSEGV when running roslyn
Product: [Mono] Runtime Reporter: Marek Safar <masafa>
Component: JITAssignee: Rodrigo Kumpera <kumpera>
Status: VERIFIED FIXED    
Severity: major CC: bernhard.urban, kyle.white, luis.aguilera, mono-bugs+mono, mono-bugs+runtime, peter.collins, shrutis, sshaw, vargaz, vlad.brezae, z.gramana
Priority: ---    
Version: unspecified   
Target Milestone: 4.6.1 (C8SR1)   
Hardware: PC   
OS: All   
Tags: C8SR1 Is this bug a regression?: No
Last known good build:

Description Marek Safar 2016-03-22 11:23:59 UTC
Native stacktrace:

	/var/lib/jenkins/workspace/test-mono-pull-request-amd64/mono/mini/mono() [0x5045c2]
	/var/lib/jenkins/workspace/test-mono-pull-request-amd64/mono/mini/mono() [0x58f323]
	/var/lib/jenkins/workspace/test-mono-pull-request-amd64/mono/mini/mono() [0x41b0c1]
	/lib/x86_64-linux-gnu/libpthread.so.0(+0xf0a0) [0x2b78807aa0a0]
	[0x417c6cc0]

Debug info from gdb:

[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[New Thread 0x2b7890d00700 (LWP 25976)]
[New Thread 0x2b7884a4a700 (LWP 25975)]
[New Thread 0x2b7884849700 (LWP 25974)]
[New Thread 0x2b7884648700 (LWP 25973)]
[New Thread 0x2b78835a1700 (LWP 25972)]
[New Thread 0x2b7881600700 (LWP 25971)]
0x00002b78807a9c8d in waitpid () from /lib/x86_64-linux-gnu/libpthread.so.0
  Id   Target Id         Frame 
  7    Thread 0x2b7881600700 (LWP 25971) "mono" 0x00002b78807a6344 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/x86_64-linux-gnu/libpthread.so.0
  6    Thread 0x2b78835a1700 (LWP 25972) "Finalizer" 0x00002b78807a8490 in sem_wait () from /lib/x86_64-linux-gnu/libpthread.so.0
  5    Thread 0x2b7884648700 (LWP 25973) "mono" 0x00002b78807a66bb in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/x86_64-linux-gnu/libpthread.so.0
  4    Thread 0x2b7884849700 (LWP 25974) "Threadpool work" 0x00002b78807a66bb in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/x86_64-linux-gnu/libpthread.so.0
  3    Thread 0x2b7884a4a700 (LWP 25975) "Threadpool work" 0x00002b78807a66bb in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/x86_64-linux-gnu/libpthread.so.0
  2    Thread 0x2b7890d00700 (LWP 25976) "Threadpool work" 0x00002b78807a66bb in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/x86_64-linux-gnu/libpthread.so.0
* 1    Thread 0x2b787ff1aa80 (LWP 25956) "mono" 0x00002b78807a9c8d in waitpid () from /lib/x86_64-linux-gnu/libpthread.so.0

Thread 7 (Thread 0x2b7881600700 (LWP 25971)):
#0  0x00002b78807a6344 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/x86_64-linux-gnu/libpthread.so.0
#1  0x000000000073f6b8 in mono_os_cond_wait (cond=0xae8fc0, mutex=0xae8f80) at ../../mono/utils/mono-os-mutex.h:105
#2  0x0000000000740240 in thread_func (thread_data=0x0) at sgen-thread-pool.c:118
#3  0x00002b78807a1b50 in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
#4  0x00002b7880cab30d in clone () from /lib/x86_64-linux-gnu/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 6 (Thread 0x2b78835a1700 (LWP 25972)):
#0  0x00002b78807a8490 in sem_wait () from /lib/x86_64-linux-gnu/libpthread.so.0
#1  0x0000000000696d68 in mono_os_sem_wait (sem=0xad9e20, flags=MONO_SEM_FLAGS_ALERTABLE) at ../../mono/utils/mono-os-semaphore.h:163
#2  0x00000000006970d8 in mono_coop_sem_wait (sem=0xad9e20, flags=MONO_SEM_FLAGS_ALERTABLE) at ../../mono/utils/mono-coop-semaphore.h:40
#3  0x00000000006988cd in finalizer_thread (unused=0x0) at gc.c:726
#4  0x00000000006643fc in start_wrapper_internal (data=0x265e020) at threads.c:731
#5  0x00000000006644ba in start_wrapper (data=0x265e020) at threads.c:778
#6  0x000000000077ee8a in inner_start_thread (arg=0x7fff6b69c0e0) at mono-threads-posix.c:92
#7  0x00002b78807a1b50 in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
#8  0x00002b7880cab30d in clone () from /lib/x86_64-linux-gnu/libc.so.6
#9  0x0000000000000000 in ?? ()

Thread 5 (Thread 0x2b7884648700 (LWP 25973)):
#0  0x00002b78807a66bb in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/x86_64-linux-gnu/libpthread.so.0
#1  0x000000000077a8e2 in mono_os_cond_timedwait (cond=0xae9e40, mutex=0xae9e00, timeout_ms=500) at ../../mono/utils/mono-os-mutex.h:134
#2  0x000000000077aa66 in mono_coop_cond_timedwait (cond=0xae9e40, mutex=0xae9e00, timeout_ms=500) at ../../mono/utils/mono-coop-mutex.h:107
#3  0x000000000077ca13 in sleep_interruptable (ms=500, alerted=0x2b7884647d3c) at mono-threads.c:1162
#4  0x000000000077cacf in mono_thread_info_sleep (ms=500, alerted=0x2b7884647d3c) at mono-threads.c:1194
#5  0x000000000066d75f in monitor_thread () at threadpool-ms.c:895
#6  0x00000000006643fc in start_wrapper_internal (data=0x28e7ed0) at threads.c:731
#7  0x00000000006644ba in start_wrapper (data=0x28e7ed0) at threads.c:778
#8  0x000000000077ee8a in inner_start_thread (arg=0x7fff6b69a700) at mono-threads-posix.c:92
#9  0x00002b78807a1b50 in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
#10 0x00002b7880cab30d in clone () from /lib/x86_64-linux-gnu/libc.so.6
#11 0x0000000000000000 in ?? ()

Thread 4 (Thread 0x2b7884849700 (LWP 25974)):
#0  0x00002b78807a66bb in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/x86_64-linux-gnu/libpthread.so.0
#1  0x000000000066ae2f in mono_os_cond_timedwait (cond=0x28e7fa8, mutex=0x28e7fd8, timeout_ms=35539) at ../../mono/utils/mono-os-mutex.h:134
#2  0x000000000066b09b in mono_coop_cond_timedwait (cond=0x28e7fa8, mutex=0x28e7fd8, timeout_ms=35539) at ../../mono/utils/mono-coop-mutex.h:107
#3  0x000000000066c26e in worker_park () at threadpool-ms.c:527
#4  0x000000000066c6e5 in worker_thread (data=0x0) at threadpool-ms.c:618
#5  0x00000000006643fc in start_wrapper_internal (data=0x28e8af0) at threads.c:731
#6  0x00000000006644ba in start_wrapper (data=0x28e8af0) at threads.c:778
#7  0x000000000077ee8a in inner_start_thread (arg=0x7fff6b69a6a0) at mono-threads-posix.c:92
#8  0x00002b78807a1b50 in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
#9  0x00002b7880cab30d in clone () from /lib/x86_64-linux-gnu/libc.so.6
#10 0x0000000000000000 in ?? ()

Thread 3 (Thread 0x2b7884a4a700 (LWP 25975)):
#0  0x00002b78807a66bb in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/x86_64-linux-gnu/libpthread.so.0
#1  0x000000000066ae2f in mono_os_cond_timedwait (cond=0x28e7fa8, mutex=0x28e7fd8, timeout_ms=36080) at ../../mono/utils/mono-os-mutex.h:134
#2  0x000000000066b09b in mono_coop_cond_timedwait (cond=0x28e7fa8, mutex=0x28e7fd8, timeout_ms=36080) at ../../mono/utils/mono-coop-mutex.h:107
#3  0x000000000066c26e in worker_park () at threadpool-ms.c:527
#4  0x000000000066c6e5 in worker_thread (data=0x0) at threadpool-ms.c:618
#5  0x00000000006643fc in start_wrapper_internal (data=0x29cc7b0) at threads.c:731
#6  0x00000000006644ba in start_wrapper (data=0x29cc7b0) at threads.c:778
#7  0x000000000077ee8a in inner_start_thread (arg=0x2b7884848370) at mono-threads-posix.c:92
#8  0x00002b78807a1b50 in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
#9  0x00002b7880cab30d in clone () from /lib/x86_64-linux-gnu/libc.so.6
#10 0x0000000000000000 in ?? ()

Thread 2 (Thread 0x2b7890d00700 (LWP 25976)):
#0  0x00002b78807a66bb in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/x86_64-linux-gnu/libpthread.so.0
#1  0x000000000066ae2f in mono_os_cond_timedwait (cond=0x28e7fa8, mutex=0x28e7fd8, timeout_ms=47115) at ../../mono/utils/mono-os-mutex.h:134
#2  0x000000000066b09b in mono_coop_cond_timedwait (cond=0x28e7fa8, mutex=0x28e7fd8, timeout_ms=47115) at ../../mono/utils/mono-coop-mutex.h:107
#3  0x000000000066c26e in worker_park () at threadpool-ms.c:527
#4  0x000000000066c6e5 in worker_thread (data=0x0) at threadpool-ms.c:618
#5  0x00000000006643fc in start_wrapper_internal (data=0x29d1600) at threads.c:731
#6  0x00000000006644ba in start_wrapper (data=0x29d1600) at threads.c:778
#7  0x000000000077ee8a in inner_start_thread (arg=0x2b7884a49370) at mono-threads-posix.c:92
#8  0x00002b78807a1b50 in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
#9  0x00002b7880cab30d in clone () from /lib/x86_64-linux-gnu/libc.so.6
#10 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x2b787ff1aa80 (LWP 25956)):
#0  0x00002b78807a9c8d in waitpid () from /lib/x86_64-linux-gnu/libpthread.so.0
#1  0x00000000005046aa in mono_handle_native_sigsegv (signal=11, ctx=0x2b7880107c40, info=0x2b7880107d70) at mini-exceptions.c:2392
#2  0x000000000058f323 in mono_arch_handle_altstack_exception (sigctx=0x2b7880107c40, siginfo=0x2b7880107d70, fault_addr=0xd, stack_ovf=0) at exceptions-amd64.c:808
#3  0x000000000041b0c1 in mono_sigsegv_signal_handler (_dummy=11, _info=0x2b7880107d70, context=0x2b7880107c40) at mini-runtime.c:3004
#4  <signal handler called>
#5  0x00000000417c6cc0 in ?? ()
#6  0x00002b7882a52b49 in System_Collections_Generic_Dictionary_2_TKey_REF_TValue_REF_Insert_TKey_REF_TValue_REF_bool (this=..., key=-2126896768, value=-2126896768, add=false) from /var/lib/jenkins/workspace/test-mono-pull-request-amd64/mcs/class/lib/build/mscorlib.dll.so
#7  0x00002b7882a51b69 in System_Collections_Generic_Dictionary_2_TKey_REF_TValue_REF_set_Item_TKey_REF_TValue_REF (this=..., key=-2126896768, value=-2126896768) from /var/lib/jenkins/workspace/test-mono-pull-request-amd64/mcs/class/lib/build/mscorlib.dll.so
#8  0x00000000417dcebc in ?? ()
#9  0x0000000000000000 in ?? ()

=================================================================
Got a SIGSEGV while executing native code. This usually indicates
a fatal error in the mono runtime or one of the native libraries 
used by your application.
=================================================================

Aborted
Comment 1 Marek Safar 2016-03-22 11:24:50 UTC
This could be AOT miscompilation
Comment 2 Zoltan Varga 2016-03-29 02:04:19 UTC
Hopefully this one got fixed.
Comment 3 Marek Safar 2016-04-16 08:07:12 UTC
It still crashes pretty often.

This one is latest mono on AMD64

https://jenkins.mono-project.com/job/test-mono-pull-request-amd64/2606/parsed_console/log_content.html#ERROR1
Comment 4 Marek Safar 2016-06-17 09:43:29 UTC
*** Bug 41913 has been marked as a duplicate of this bug. ***
Comment 5 Stephen Shaw 2016-06-17 17:04:32 UTC
Bug 41913 was from a customer's Xamarin Studio log. This is being seen in the wild too
Comment 6 Marek Safar 2016-08-17 13:48:34 UTC
This is still not that hard to reproduce with C8/master. I was running System.Core compilation in loop and got following 5 different crashes in 2 hours.

It was easier to trigger if my machine was not under any load.
Comment 7 Marek Safar 2016-08-17 13:48:53 UTC
System.TypedReference doesn't implement interface System.Collections.Generic.IEqualityComparer<Microsoft.CodeAnalysis.CSharp.BoundLoopStatement>

Stacktrace:

  at <unknown> <0xffffffff>
  at System.Collections.Generic.Dictionary`2<Microsoft.CodeAnalysis.CSharp.BoundLoopStatement, Microsoft.CodeAnalysis.CSharp.ControlFlowPass/LocalState>.FindEntry (Microsoft.CodeAnalysis.CSharp.BoundLoopStatement) <0x0005a>
  at System.Collections.Generic.Dictionary`2<Microsoft.CodeAnalysis.CSharp.BoundLoopStatement, Microsoft.CodeAnalysis.CSharp.ControlFlowPass/LocalState>.get_Item (Microsoft.CodeAnalysis.CSharp.BoundLoopStatement) <0x0002f>
  at Microsoft.CodeAnalysis.CSharp.PreciseAbstractFlowPass`1<Microsoft.CodeAnalysis.CSharp.ControlFlowPass/LocalState>.LoopTail (Microsoft.CodeAnalysis.CSharp.BoundLoopStatement) <0x00036>
  at Microsoft.CodeAnalysis.CSharp.PreciseAbstractFlowPass`1<Microsoft.CodeAnalysis.CSharp.ControlFlowPass/LocalState>.VisitForEachStatement (Microsoft.CodeAnalysis.CSharp.BoundForEachStatement) <0x00097>
  at Microsoft.CodeAnalysis.CSharp.BoundForEachStatement.Accept (Microsoft.CodeAnalysis.CSharp.BoundTreeVisitor) <0x00020>
  at Microsoft.CodeAnalysis.CSharp.BoundTreeVisitor.Visit (Microsoft.CodeAnalysis.CSharp.BoundNode) <0x00022>
  at Microsoft.CodeAnalysis.CSharp.PreciseAbstractFlowPass`1<Microsoft.CodeAnalysis.CSharp.ControlFlowPass/LocalState>.VisitWithStackGuard (Microsoft.CodeAnalysis.CSharp.BoundNode) <0x00073>
  at Microsoft.CodeAnalysis.CSharp.PreciseAbstractFlowPass`1<Microsoft.CodeAnalysis.CSharp.ControlFlowPass/LocalState>.VisitAlways (Microsoft.CodeAnalysis.CSharp.BoundNode) <0x0008f>
  at Microsoft.CodeAnalysis.CSharp.PreciseAbstractFlowPass`1<Microsoft.CodeAnalysis.CSharp.ControlFlowPass/LocalState>.Visit (Microsoft.CodeAnalysis.CSharp.BoundNode) <0x00013>
  at Microsoft.CodeAnalysis.CSharp.ControlFlowPass.Visit (Microsoft.CodeAnalysis.CSharp.BoundNode) <0x0004b>
  at Microsoft.CodeAnalysis.CSharp.PreciseAbstractFlowPass`1<Microsoft.CodeAnalysis.CSharp.ControlFlowPass/LocalState>.VisitStatement (Microsoft.CodeAnalysis.CSharp.BoundStatement) <0x00018>
  at Microsoft.CodeAnalysis.CSharp.ControlFlowPass.VisitStatement (Microsoft.CodeAnalysis.CSharp.BoundStatement) <0x000af>
  at Microsoft.CodeAnalysis.CSharp.PreciseAbstractFlowPass`1<Microsoft.CodeAnalysis.CSharp.ControlFlowPass/LocalState>.VisitBlock (Microsoft.CodeAnalysis.CSharp.BoundBlock) <0x0008c>
  at Microsoft.CodeAnalysis.CSharp.BoundBlock.Accept (Microsoft.CodeAnalysis.CSharp.BoundTreeVisitor) <0x00020>
  at Microsoft.CodeAnalysis.CSharp.BoundTreeVisitor.Visit (Microsoft.CodeAnalysis.CSharp.BoundNode) <0x00022>
  at Microsoft.CodeAnalysis.CSharp.PreciseAbstractFlowPass`1<Microsoft.CodeAnalysis.CSharp.ControlFlowPass/LocalState>.VisitWithStackGuard (Microsoft.CodeAnalysis.CSharp.BoundNode) <0x00073>
  at Microsoft.CodeAnalysis.CSharp.PreciseAbstractFlowPass`1<Microsoft.CodeAnalysis.CSharp.ControlFlowPass/LocalState>.VisitAlways (Microsoft.CodeAnalysis.CSharp.BoundNode) <0x0008f>
  at Microsoft.CodeAnalysis.CSharp.PreciseAbstractFlowPass`1<Microsoft.CodeAnalysis.CSharp.ControlFlowPass/LocalState>.Visit (Microsoft.CodeAnalysis.CSharp.BoundNode) <0x00013>
  at Microsoft.CodeAnalysis.CSharp.ControlFlowPass.Visit (Microsoft.CodeAnalysis.CSharp.BoundNode) <0x0004b>
  at Microsoft.CodeAnalysis.CSharp.PreciseAbstractFlowPass`1<Microsoft.CodeAnalysis.CSharp.ControlFlowPass/LocalState>.VisitStatement (Microsoft.CodeAnalysis.CSharp.BoundStatement) <0x00018>
  at Microsoft.CodeAnalysis.CSharp.ControlFlowPass.VisitStatement (Microsoft.CodeAnalysis.CSharp.BoundStatement) <0x0005b>
  at Microsoft.CodeAnalysis.CSharp.PreciseAbstractFlowPass`1<Microsoft.CodeAnalysis.CSharp.ControlFlowPass/LocalState>.VisitIfStatement (Microsoft.CodeAnalysis.CSharp.BoundIfStatement) <0x00097>
  at Microsoft.CodeAnalysis.CSharp.BoundIfStatement.Accept (Microsoft.CodeAnalysis.CSharp.BoundTreeVisitor) <0x00020>
  at Microsoft.CodeAnalysis.CSharp.BoundTreeVisitor.Visit (Microsoft.CodeAnalysis.CSharp.BoundNode) <0x00022>
  at Microsoft.CodeAnalysis.CSharp.PreciseAbstractFlowPass`1<Microsoft.CodeAnalysis.CSharp.ControlFlowPass/LocalState>.VisitWithStackGuard (Microsoft.CodeAnalysis.CSharp.BoundNode) <0x00073>
  at Microsoft.CodeAnalysis.CSharp.PreciseAbstractFlowPass`1<Microsoft.CodeAnalysis.CSharp.ControlFlowPass/LocalState>.VisitAlways (Microsoft.CodeAnalysis.CSharp.BoundNode) <0x0008f>
  at Microsoft.CodeAnalysis.CSharp.PreciseAbstractFlowPass`1<Microsoft.CodeAnalysis.CSharp.ControlFlowPass/LocalState>.Visit (Microsoft.CodeAnalysis.CSharp.BoundNode) <0x00013>
  at Microsoft.CodeAnalysis.CSharp.ControlFlowPass.Visit (Microsoft.CodeAnalysis.CSharp.BoundNode) <0x0004b>
  at Microsoft.CodeAnalysis.CSharp.PreciseAbstractFlowPass`1<Microsoft.CodeAnalysis.CSharp.ControlFlowPass/LocalState>.VisitStatement (Microsoft.CodeAnalysis.CSharp.BoundStatement) <0x00018>
  at Microsoft.CodeAnalysis.CSharp.ControlFlowPass.VisitStatement (Microsoft.CodeAnalysis.CSharp.BoundStatement) <0x000af>
  at Microsoft.CodeAnalysis.CSharp.PreciseAbstractFlowPass`1<Microsoft.CodeAnalysis.CSharp.ControlFlowPass/LocalState>.VisitBlock (Microsoft.CodeAnalysis.CSharp.BoundBlock) <0x0008c>
  at Microsoft.CodeAnalysis.CSharp.BoundBlock.Accept (Microsoft.CodeAnalysis.CSharp.BoundTreeVisitor) <0x00020>
  at Microsoft.CodeAnalysis.CSharp.BoundTreeVisitor.Visit (Microsoft.CodeAnalysis.CSharp.BoundNode) <0x00022>
  at Microsoft.CodeAnalysis.CSharp.PreciseAbstractFlowPass`1<Microsoft.CodeAnalysis.CSharp.ControlFlowPass/LocalState>.VisitWithStackGuard (Microsoft.CodeAnalysis.CSharp.BoundNode) <0x00073>
  at Microsoft.CodeAnalysis.CSharp.PreciseAbstractFlowPass`1<Microsoft.CodeAnalysis.CSharp.ControlFlowPass/LocalState>.VisitAlways (Microsoft.CodeAnalysis.CSharp.BoundNode) <0x0008f>
  at Microsoft.CodeAnalysis.CSharp.PreciseAbstractFlowPass`1<Microsoft.CodeAnalysis.CSharp.ControlFlowPass/LocalState>.Visit (Microsoft.CodeAnalysis.CSharp.BoundNode) <0x00013>
  at Microsoft.CodeAnalysis.CSharp.ControlFlowPass.Visit (Microsoft.CodeAnalysis.CSharp.BoundNode) <0x0004b>
  at Microsoft.CodeAnalysis.CSharp.PreciseAbstractFlowPass`1<Microsoft.CodeAnalysis.CSharp.ControlFlowPass/LocalState>.Scan (bool&) <0x0002f>
  at Microsoft.CodeAnalysis.CSharp.ControlFlowPass.Scan (bool&) <0x00063>
  at Microsoft.CodeAnalysis.CSharp.PreciseAbstractFlowPass`1<Microsoft.CodeAnalysis.CSharp.ControlFlowPass/LocalState>.Analyze (bool&) <0x00106>
  at Microsoft.CodeAnalysis.CSharp.ControlFlowPass.Analyze (bool&,Microsoft.CodeAnalysis.DiagnosticBag) <0x0001f>
  at Microsoft.CodeAnalysis.CSharp.ControlFlowPass.Analyze (Microsoft.CodeAnalysis.CSharp.CSharpCompilation,Microsoft.CodeAnalysis.CSharp.Symbol,Microsoft.CodeAnalysis.CSharp.BoundBlock,Microsoft.CodeAnalysis.DiagnosticBag) <0x000c3>
  at Microsoft.CodeAnalysis.CSharp.FlowAnalysisPass.Analyze (Microsoft.CodeAnalysis.CSharp.CSharpCompilation,Microsoft.CodeAnalysis.CSharp.Symbols.MethodSymbol,Microsoft.CodeAnalysis.CSharp.BoundBlock,Microsoft.CodeAnalysis.DiagnosticBag) <0x00027>
  at Microsoft.CodeAnalysis.CSharp.FlowAnalysisPass.Rewrite (Microsoft.CodeAnalysis.CSharp.Symbols.MethodSymbol,Microsoft.CodeAnalysis.CSharp.BoundBlock,Microsoft.CodeAnalysis.DiagnosticBag,bool,bool) <0x00113>
  at Microsoft.CodeAnalysis.CSharp.MethodCompiler.CompileMethod (Microsoft.CodeAnalysis.CSharp.Symbols.MethodSymbol,int,Microsoft.CodeAnalysis.CSharp.Binder/ProcessedFieldInitializers&,Microsoft.CodeAnalysis.CSharp.SynthesizedSubmissionFields,Microsoft.CodeAnalysis.CSharp.TypeCompilationState) <0x00a6f>
  at Microsoft.CodeAnalysis.CSharp.MethodCompiler.CompileNamedType (Microsoft.CodeAnalysis.CSharp.Symbols.NamedTypeSymbol) <0x00793>
  at Microsoft.CodeAnalysis.CSharp.MethodCompiler/<>c__DisplayClass20_0.<CompileNamedTypeAsTask>b__0 () <0x0001b>
  at Roslyn.Utilities.UICultureUtilities/<>c__DisplayClass5_0.<WithCurrentUICulture>b__0 () <0x000a3>
  at System.Threading.Tasks.Task.InnerInvoke () <0x0004c>
  at System.Threading.Tasks.Task.Execute () <0x00055>
  at System.Threading.Tasks.Task.ExecutionContextCallback (object) <0x00045>
  at System.Threading.ExecutionContext.RunInternal (System.Threading.ExecutionContext,System.Threading.ContextCallback,object,bool) <0x0017a>
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext,System.Threading.ContextCallback,object,bool) <0x00020>
  at System.Threading.Tasks.Task.ExecuteWithThreadLocal (System.Threading.Tasks.Task&) <0x0010c>
  at System.Threading.Tasks.Task.ExecuteEntry (bool) <0x000f2>
  at System.Threading.Tasks.Task.System.Threading.IThreadPoolWorkItem.ExecuteWorkItem () <0x0000e>
  at System.Threading.ThreadPoolWorkQueue.Dispatch () <0x001d4>
  at System.Threading._ThreadPoolWaitCallback.PerformWaitCallback () <0x00008>
  at (wrapper runtime-invoke) <Module>.runtime_invoke_bool (object,intptr,intptr,intptr) <0x0005a>

Native stacktrace:

	/home/marek/mono/mono/mono/mini/mono() [0x4b3faf]
	/lib/x86_64-linux-gnu/libpthread.so.0(+0x113d0) [0x2ba45fafc3d0]
	/lib/x86_64-linux-gnu/libc.so.6(gsignal+0x38) [0x2ba45ff53418]
	/lib/x86_64-linux-gnu/libc.so.6(abort+0x16a) [0x2ba45ff5501a]
	/home/marek/mono/mono/mono/mini/mono() [0x674ecb]
	/home/marek/mono/mono/mono/mini/mono() [0x674c65]
	/home/marek/mono/mono/mono/mini/mono() [0x674d44]
	/home/marek/mono/mono/mono/mini/mono() [0x4b52f0]
	/home/marek/mono/mono/mono/mini/mono() [0x4b5743]
	/home/marek/mono/mono/mono/mini/mono() [0x4b62ac]
	[0x40ba068c]

Debug info from gdb:


=================================================================
Got a SIGABRT while executing native code. This usually indicates
a fatal error in the mono runtime or one of the native libraries
used by your application.
=================================================================
Comment 8 Marek Safar 2016-08-17 13:49:04 UTC
Native stacktrace:

Segmentation fault (core dumped)
../../build/library.make:302: recipe for target '../../class/lib/net_4_x/System.Core.dll' failed
make[1]: *** [../../class/lib/net_4_x/System.Core.dll] Error 139
Comment 9 Marek Safar 2016-08-17 13:49:27 UTC
Stacktrace:


Native stacktrace:

  /home/marek/mono/mono/mono/mini/mono() [0x4b3faf]
  /home/marek/mono/mono/mono/mini/mono() [0x50a4fe]
  /home/marek/mono/mono/mono/mini/mono() [0x427453]
  /lib/x86_64-linux-gnu/libpthread.so.0(+0x113d0) [0x2b48ed1ee3d0]
  [0x4116e822]

Debug info from gdb:

[New LWP 53632]
[New LWP 53635]
[New LWP 53638]
[New LWP 53639]
[New LWP 53640]
[New LWP 53642]
[New LWP 53646]
[New LWP 53673]
[New LWP 53674]
[New LWP 53675]
[New LWP 53676]
[New LWP 53677]
[New LWP 53678]
[New LWP 53679]
[New LWP 53680]
[New LWP 53681]
[New LWP 53682]
[New LWP 53683]
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
0x00002b48ed645816 in __GI___sigsuspend (set=set@entry=0x9a5a80 <suspend_signal_mask>) at ../sysdeps/unix/sysv/linux/sigsuspend.c:30
30  ../sysdeps/unix/sysv/linux/sigsuspend.c: No such file or directory.
  Id   Target Id         Frame
* 1    Thread 0x2b48ec8d5c40 (LWP 53583) "Main" 0x00002b48ed645816 in __GI___sigsuspend (set=set@entry=0x9a5a80 <suspend_signal_mask>) at ../sysdeps/unix/sysv/linux/sigsuspend.c:30
  2    Thread 0x2b48ee200700 (LWP 53632) "SGen worker" pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
  3    Thread 0x2b48f01b0700 (LWP 53635) "Finalizer" 0x00002b48ed1ec867 in futex_abstimed_wait_cancelable (private=0, abstime=0x0, expected=0, futex_word=0x9a5400 <finalizer_sem>) at ../sysdeps/unix/sysv/linux/futex-internal.h:205
  4    Thread 0x2b48edbf5700 (LWP 53638) "Main" __lll_lock_wait () at ../sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:135
  5    Thread 0x2b48f1f08700 (LWP 53639) "Threadpool work" 0x00002b48ed645816 in __GI___sigsuspend (set=set@entry=0x9a5a80 <suspend_signal_mask>) at ../sysdeps/unix/sysv/linux/sigsuspend.c:30
  6    Thread 0x2b48f2109700 (LWP 53640) "Threadpool work" 0x00002b48ed645816 in __GI___sigsuspend (set=set@entry=0x9a5a80 <suspend_signal_mask>) at ../sysdeps/unix/sysv/linux/sigsuspend.c:30
  7    Thread 0x2b4904580700 (LWP 53642) "Threadpool work" 0x00002b48ed645816 in __GI___sigsuspend (set=set@entry=0x9a5a80 <suspend_signal_mask>) at ../sysdeps/unix/sysv/linux/sigsuspend.c:30
  8    Thread 0x2b4905358700 (LWP 53646) "Threadpool work" 0x00002b48ed645816 in __GI___sigsuspend (set=set@entry=0x9a5a80 <suspend_signal_mask>) at ../sysdeps/unix/sysv/linux/sigsuspend.c:30
  9    Thread 0x2b49064dc700 (LWP 53673) "Threadpool work" 0x00002b48ed1edfbb in __waitpid (pid=pid@entry=53691, stat_loc=stat_loc@entry=0x2b48f18eb10c, options=options@entry=0) at ../sysdeps/unix/sysv/linux/waitpid.c:29
  10   Thread 0x2b49066dd700 (LWP 53674) "Threadpool work" 0x00002b48ed645816 in __GI___sigsuspend (set=set@entry=0x9a5a80 <suspend_signal_mask>) at ../sysdeps/unix/sysv/linux/sigsuspend.c:30
  11   Thread 0x2b4906a60700 (LWP 53675) "Threadpool work" 0x00002b48ed1ec867 in futex_abstimed_wait_cancelable (private=0, abstime=0x0, expected=0, futex_word=0x9a5b20 <suspend_ack_semaphore>) at ../sysdeps/unix/sysv/linux/futex-internal.h:205
  12   Thread 0x2b4906c61700 (LWP 53676) "Threadpool work" 0x00002b48ed645816 in __GI___sigsuspend (set=set@entry=0x9a5a80 <suspend_signal_mask>) at ../sysdeps/unix/sysv/linux/sigsuspend.c:30
  13   Thread 0x2b4906e62700 (LWP 53677) "Threadpool work" 0x00002b48ed645816 in __GI___sigsuspend (set=set@entry=0x9a5a80 <suspend_signal_mask>) at ../sysdeps/unix/sysv/linux/sigsuspend.c:30
  14   Thread 0x2b4907063700 (LWP 53678) "Threadpool work" 0x00002b48ed645816 in __GI___sigsuspend (set=set@entry=0x9a5a80 <suspend_signal_mask>) at ../sysdeps/unix/sysv/linux/sigsuspend.c:30
  15   Thread 0x2b4907264700 (LWP 53679) "Threadpool work" 0x00002b48ed645816 in __GI___sigsuspend (set=set@entry=0x9a5a80 <suspend_signal_mask>) at ../sysdeps/unix/sysv/linux/sigsuspend.c:30
  16   Thread 0x2b4907465700 (LWP 53680) "Threadpool work" 0x00002b48ed645816 in __GI___sigsuspend (set=set@entry=0x9a5a80 <suspend_signal_mask>) at ../sysdeps/unix/sysv/linux/sigsuspend.c:30
  17   Thread 0x2b4907666700 (LWP 53681) "Threadpool work" 0x00002b48ed645816 in __GI___sigsuspend (set=set@entry=0x9a5a80 <suspend_signal_mask>) at ../sysdeps/unix/sysv/linux/sigsuspend.c:30
  18   Thread 0x2b4907867700 (LWP 53682) "Threadpool work" 0x00002b48ed645816 in __GI___sigsuspend (set=set@entry=0x9a5a80 <suspend_signal_mask>) at ../sysdeps/unix/sysv/linux/sigsuspend.c:30
  19   Thread 0x2b4907a68700 (LWP 53683) "Threadpool work" 0x00002b48ed645816 in __GI___sigsuspend (set=set@entry=0x9a5a80 <suspend_signal_mask>) at ../sysdeps/unix/sysv/linux/sigsuspend.c:30

Thread 19 (Thread 0x2b4907a68700 (LWP 53683)):
#0  0x00002b48ed645816 in __GI___sigsuspend (set=set@entry=0x9a5a80 <suspend_signal_mask>) at ../sysdeps/unix/sysv/linux/sigsuspend.c:30
#1  0x0000000000600a04 in suspend_thread (info=0x2b49300020f0, context=context@entry=0x2b4907a65bc0) at sgen-os-posix.c:99
#2  0x0000000000600bbf in suspend_handler (_dummy=<optimized out>, _info=<optimized out>, context=0x2b4907a65bc0) at sgen-os-posix.c:126
#3  <signal handler called>
#4  __lll_lock_wait () at ../sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:133
#5  0x00002b48ed1e6e82 in __GI___pthread_mutex_lock (mutex=mutex@entry=0x9a49e0 <loader_mutex>) at ../nptl/pthread_mutex_lock.c:115
#6  0x0000000000560245 in mono_os_mutex_lock (mutex=0x9a49e0 <loader_mutex>) at ../../mono/utils/mono-os-mutex.h:96
#7  mono_coop_mutex_lock (mutex=0x9a49e0 <loader_mutex>) at ../../mono/utils/mono-coop-mutex.h:53
#8  mono_loader_lock () at loader.c:2258
#9  0x0000000000539e85 in mono_class_create_from_typedef (image=image@entry=0x267f290, type_token=type_token@entry=33554718, error=error@entry=0x2b4907a66360) at class.c:5748
#10 0x0000000000539d7e in mono_class_get_checked (image=0x267f290, type_token=33554718, error=error@entry=0x2b4907a66360) at class.c:7436
#11 0x0000000000547a1d in mono_exception_from_token (image=<optimized out>, token=<optimized out>) at exception.c:108
#12 0x0000000041356388 in ?? ()
#13 0x00002b48edaa8ab0 in ?? ()
#14 0x000000004116af9e in ?? ()
#15 0x0000000000000000 in ?? ()

Thread 18 (Thread 0x2b4907867700 (LWP 53682)):
#0  0x00002b48ed645816 in __GI___sigsuspend (set=set@entry=0x9a5a80 <suspend_signal_mask>) at ../sysdeps/unix/sysv/linux/sigsuspend.c:30
#1  0x0000000000600a04 in suspend_thread (info=0x390cb70, context=context@entry=0x2b4907864740) at sgen-os-posix.c:99
#2  0x0000000000600bbf in suspend_handler (_dummy=<optimized out>, _info=<optimized out>, context=0x2b4907864740) at sgen-os-posix.c:126
#3  <signal handler called>
#4  __lll_lock_wait () at ../sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:135
#5  0x00002b48ed1e6e82 in __GI___pthread_mutex_lock (mutex=mutex@entry=0x267a990) at ../nptl/pthread_mutex_lock.c:115
#6  0x00000000005ce3d7 in mono_os_mutex_lock (mutex=0x267a990) at ../../mono/utils/mono-os-mutex.h:96
#7  mono_coop_mutex_lock (mutex=0x267a990) at ../../mono/utils/mono-coop-mutex.h:53
#8  mono_domain_lock (domain=domain@entry=0x267a990) at domain.c:2047
#9  0x00000000005ec61b in mono_method_get_object_checked (domain=0x267a990, method=method@entry=0x2ab4270, refclass=refclass@entry=0x2b49080fde18, error=error@entry=0x2b4907864e30) at reflection.c:7445
#10 0x0000000000557570 in ves_icall_System_Reflection_MethodBase_GetMethodFromHandleInternalType_native (method=0x2ab4270, type=<optimized out>, generic_check=<optimized out>) at icall.c:5233
#11 0x0000000040e06d1e in ?? ()
#12 0x000000000000003c in ?? ()
#13 0x00002b48edcddce8 in ?? ()
#14 0x00000000000000c4 in ?? ()
#15 0x00002b48edf76290 in ?? ()
#16 0x00000000000000c7 in ?? ()
#17 0x0000000002eb9330 in ?? ()
#18 0x00002b4907864f80 in ?? ()
#19 0x00002b4907864fd0 in ?? ()
#20 0x00002b4907864ec0 in ?? ()
#21 0x00002b48ef7db6bd in System_Reflection_MethodBase_GetMethodFromHandleNoGenericCheck_System_RuntimeMethodHandle_System_RuntimeTypeHandle (handle=44778096, reflectedType=135257824) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#22 0x00002b48ef5d53b0 in System_RuntimeType_GetMethodsByName_string_System_Reflection_BindingFlags_bool_System_RuntimeType (this=..., name=0x2b48edcddce8, bindingAttr=(Public | NonPublic | FlattenHierarchy | CreateInstance | PutDispProperty | ExactBinding | SuppressChangeType | unknown: 44564480), ignoreCase=224, reflectedType=...) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#23 0x00002b48ef5d75cd in System_RuntimeType_GetMethodCandidates_string_System_Reflection_BindingFlags_System_Reflection_CallingConventions_System_Type___bool (this=..., name=0x0, bindingAttr=(Instance | Static | Public | NonPublic), callConv=Any, types=0x0, allowPrefixLookup=false) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#24 0x00002b48ef5d8205 in System_RuntimeType_GetMethods_System_Reflection_BindingFlags (this=..., bindingAttr=(Instance | Static | Public | NonPublic)) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#25 0x00002b48ef81e1cd in System_Diagnostics_StackTrace_GetFullNameForStackTrace_System_Text_StringBuilder_System_Reflection_MethodBase (sb=..., mi=...) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#26 0x00002b48ef81de43 in System_Diagnostics_StackTrace_AddFrames_System_Text_StringBuilder (this=..., sb=...) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#27 0x00002b48ef81e58f in System_Diagnostics_StackTrace_ToString (this=...) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#28 0x00002b48ef81e5d1 in System_Diagnostics_StackTrace_ToString_System_Diagnostics_StackTrace_TraceFormat (this=..., traceFormat=<optimized out>) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#29 0x00002b48ef59ced6 in System_Environment_GetStackTrace_System_Exception_bool (e=..., needFileInfo=32) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#30 0x00002b48ef606e08 in System_Exception_GetStackTrace_bool (this=..., needFileInfo=true) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#31 0x00002b48ef607172 in System_Exception_ToString_bool_bool (this=..., needFileLineInfo=true, needMessage=true) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#32 0x00002b48ef606fc7 in System_Exception_ToString (this=...) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#33 0x000000004116af84 in ?? ()
#34 0x0000000000000000 in ?? ()

Thread 17 (Thread 0x2b4907666700 (LWP 53681)):
#0  0x00002b48ed645816 in __GI___sigsuspend (set=set@entry=0x9a5a80 <suspend_signal_mask>) at ../sysdeps/unix/sysv/linux/sigsuspend.c:30
#1  0x0000000000600a04 in suspend_thread (info=0x2b4930000900, context=context@entry=0x2b4907663740) at sgen-os-posix.c:99
#2  0x0000000000600bbf in suspend_handler (_dummy=<optimized out>, _info=<optimized out>, context=0x2b4907663740) at sgen-os-posix.c:126
#3  <signal handler called>
#4  __lll_lock_wait () at ../sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:135
#5  0x00002b48ed1e6e82 in __GI___pthread_mutex_lock (mutex=mutex@entry=0x267a990) at ../nptl/pthread_mutex_lock.c:115
#6  0x00000000005ce3d7 in mono_os_mutex_lock (mutex=0x267a990) at ../../mono/utils/mono-os-mutex.h:96
#7  mono_coop_mutex_lock (mutex=0x267a990) at ../../mono/utils/mono-coop-mutex.h:53
#8  mono_domain_lock (domain=domain@entry=0x267a990) at domain.c:2047
#9  0x00000000005ec61b in mono_method_get_object_checked (domain=0x267a990, method=method@entry=0x2b49002c9bd8, refclass=refclass@entry=0x2cc5728, error=error@entry=0x2b4907663e20) at reflection.c:7445
#10 0x0000000000557570 in ves_icall_System_Reflection_MethodBase_GetMethodFromHandleInternalType_native (method=0x2b49002c9bd8, type=<optimized out>, generic_check=<optimized out>) at icall.c:5233
#11 0x0000000040e06d1e in ?? ()
#12 0x000000000000003c in ?? ()
#13 0x00002b48edcf7880 in ?? ()
#14 0x0000000000000219 in ?? ()
#15 0x00002b48edf37190 in ?? ()
#16 0x0000000000000296 in ?? ()
#17 0x00002b4930001e00 in ?? ()
#18 0x00002b4907663f70 in ?? ()
#19 0x00002b4907663fc0 in ?? ()
#20 0x00002b4907663eb0 in ?? ()
#21 0x00002b48ef7db6bd in System_Reflection_MethodBase_GetMethodFromHandleNoGenericCheck_System_RuntimeMethodHandle_System_RuntimeTypeHandle (handle=2923480, reflectedType=46946288) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#22 0x00002b48ef5d53b0 in System_RuntimeType_GetMethodsByName_string_System_Reflection_BindingFlags_bool_System_RuntimeType (this=..., name=0x2b48edcf7880, bindingAttr=(Static | Public | FlattenHierarchy | InvokeMethod | CreateInstance | SetField | GetProperty | PutRefDispProperty | OptionalParamBinding | unknown: 2621568), ignoreCase=240, reflectedType=...) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#23 0x00002b48ef5d75cd in System_RuntimeType_GetMethodCandidates_string_System_Reflection_BindingFlags_System_Reflection_CallingConventions_System_Type___bool (this=..., name=0x0, bindingAttr=(Instance | Static | Public | NonPublic), callConv=Any, types=0x0, allowPrefixLookup=false) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#24 0x00002b48ef5d8205 in System_RuntimeType_GetMethods_System_Reflection_BindingFlags (this=..., bindingAttr=(Instance | Static | Public | NonPublic)) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#25 0x00002b48ef81e1cd in System_Diagnostics_StackTrace_GetFullNameForStackTrace_System_Text_StringBuilder_System_Reflection_MethodBase (sb=..., mi=...) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#26 0x00002b48ef81de43 in System_Diagnostics_StackTrace_AddFrames_System_Text_StringBuilder (this=..., sb=...) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#27 0x00002b48ef81e58f in System_Diagnostics_StackTrace_ToString (this=...) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#28 0x00002b48ef81e5d1 in System_Diagnostics_StackTrace_ToString_System_Diagnostics_StackTrace_TraceFormat (this=..., traceFormat=<optimized out>) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#29 0x00002b48ef59ced6 in System_Environment_GetStackTrace_System_Exception_bool (e=..., needFileInfo=40) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#30 0x00002b48ef606e08 in System_Exception_GetStackTrace_bool (this=..., needFileInfo=true) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#31 0x00002b48ef607172 in System_Exception_ToString_bool_bool (this=..., needFileLineInfo=true, needMessage=true) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#32 0x00002b48ef606fc7 in System_Exception_ToString (this=...) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#33 0x000000004135637d in ?? ()
#34 0x00002b48edaa8ab0 in ?? ()
#35 0x000000004116af9e in ?? ()
#36 0x0000000000000000 in ?? ()

Thread 16 (Thread 0x2b4907465700 (LWP 53680)):
#0  0x00002b48ed645816 in __GI___sigsuspend (set=set@entry=0x9a5a80 <suspend_signal_mask>) at ../sysdeps/unix/sysv/linux/sigsuspend.c:30
#1  0x0000000000600a04 in suspend_thread (info=0x2b492c000900, context=context@entry=0x2b4907462740) at sgen-os-posix.c:99
#2  0x0000000000600bbf in suspend_handler (_dummy=<optimized out>, _info=<optimized out>, context=0x2b4907462740) at sgen-os-posix.c:126
#3  <signal handler called>
#4  __lll_unlock_wake () at ../sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:371
#5  0x00002b48ed1e853f in __pthread_mutex_unlock_usercnt (decr=1, mutex=0x267a990) at pthread_mutex_unlock.c:55
#6  __GI___pthread_mutex_unlock (mutex=0x267a990) at pthread_mutex_unlock.c:314
#7  0x00000000005ce456 in mono_os_mutex_unlock (mutex=<optimized out>) at ../../mono/utils/mono-os-mutex.h:118
#8  mono_coop_mutex_unlock (mutex=<optimized out>) at ../../mono/utils/mono-coop-mutex.h:67
#9  mono_domain_unlock (domain=<optimized out>) at domain.c:2053
#10 0x00000000005ec5d4 in mono_method_get_object_checked (domain=0x267a990, method=method@entry=0x2b49080fe158, refclass=refclass@entry=0x2b49080fde18, error=error@entry=0x2b4907462e20) at reflection.c:7445
#11 0x0000000000557570 in ves_icall_System_Reflection_MethodBase_GetMethodFromHandleInternalType_native (method=0x2b49080fe158, type=<optimized out>, generic_check=<optimized out>) at icall.c:5233
#12 0x0000000040e06d1e in ?? ()
#13 0x000000000000003c in ?? ()
#14 0x00002b48edcce970 in ?? ()
#15 0x0000000000000002 in ?? ()
#16 0x00002b48edfea7b8 in ?? ()
#17 0x00000000000000c7 in ?? ()
#18 0x00002b492c001e00 in ?? ()
#19 0x00002b4907462f70 in ?? ()
#20 0x00002b4907462fc0 in ?? ()
#21 0x00002b4907462eb0 in ?? ()
#22 0x00002b48ef7db6bd in System_Reflection_MethodBase_GetMethodFromHandleNoGenericCheck_System_RuntimeMethodHandle_System_RuntimeTypeHandle (handle=135258456, reflectedType=135257824) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#23 0x00002b48ef5d53b0 in System_RuntimeType_GetMethodsByName_string_System_Reflection_BindingFlags_bool_System_RuntimeType (this=..., name=0x2b48edcce970, bindingAttr=(Static | Public | FlattenHierarchy | InvokeMethod | SetProperty | PutDispProperty | PutRefDispProperty | ExactBinding | SuppressChangeType | OptionalParamBinding | unknown: 134742016), ignoreCase=224, reflectedType=...) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#24 0x00002b48ef5d75cd in System_RuntimeType_GetMethodCandidates_string_System_Reflection_BindingFlags_System_Reflection_CallingConventions_System_Type___bool (this=..., name=0x0, bindingAttr=(Instance | Static | Public | NonPublic), callConv=Any, types=0x0, allowPrefixLookup=false) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#25 0x00002b48ef5d8205 in System_RuntimeType_GetMethods_System_Reflection_BindingFlags (this=..., bindingAttr=(Instance | Static | Public | NonPublic)) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#26 0x00002b48ef81e1cd in System_Diagnostics_StackTrace_GetFullNameForStackTrace_System_Text_StringBuilder_System_Reflection_MethodBase (sb=..., mi=...) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#27 0x00002b48ef81de43 in System_Diagnostics_StackTrace_AddFrames_System_Text_StringBuilder (this=..., sb=...) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#28 0x00002b48ef81e58f in System_Diagnostics_StackTrace_ToString (this=...) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#29 0x00002b48ef81e5d1 in System_Diagnostics_StackTrace_ToString_System_Diagnostics_StackTrace_TraceFormat (this=..., traceFormat=<optimized out>) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#30 0x00002b48ef59ced6 in System_Environment_GetStackTrace_System_Exception_bool (e=..., needFileInfo=232) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#31 0x00002b48ef606e08 in System_Exception_GetStackTrace_bool (this=..., needFileInfo=true) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#32 0x00002b48ef607172 in System_Exception_ToString_bool_bool (this=..., needFileLineInfo=true, needMessage=true) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#33 0x00002b48ef606fc7 in System_Exception_ToString (this=...) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#34 0x000000004135637d in ?? ()
#35 0x00002b48edaa8ab0 in ?? ()
#36 0x000000004116af9e in ?? ()
#37 0x0000000000000000 in ?? ()

Thread 15 (Thread 0x2b4907264700 (LWP 53679)):
#0  0x00002b48ed645816 in __GI___sigsuspend (set=set@entry=0x9a5a80 <suspend_signal_mask>) at ../sysdeps/unix/sysv/linux/sigsuspend.c:30
#1  0x0000000000600a04 in suspend_thread (info=0x2b4928000900, context=context@entry=0x2b4907261740) at sgen-os-posix.c:99
#2  0x0000000000600bbf in suspend_handler (_dummy=<optimized out>, _info=<optimized out>, context=0x2b4907261740) at sgen-os-posix.c:126
#3  <signal handler called>
#4  __lll_lock_wait () at ../sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:135
#5  0x00002b48ed1e6e82 in __GI___pthread_mutex_lock (mutex=mutex@entry=0x267a990) at ../nptl/pthread_mutex_lock.c:115
#6  0x00000000005ce3d7 in mono_os_mutex_lock (mutex=0x267a990) at ../../mono/utils/mono-os-mutex.h:96
#7  mono_coop_mutex_lock (mutex=0x267a990) at ../../mono/utils/mono-coop-mutex.h:53
#8  mono_domain_lock (domain=domain@entry=0x267a990) at domain.c:2047
#9  0x00000000005ec61b in mono_method_get_object_checked (domain=0x267a990, method=method@entry=0x31c9090, refclass=refclass@entry=0x2b48fc25d370, error=error@entry=0x2b4907261e20) at reflection.c:7445
#10 0x0000000000557570 in ves_icall_System_Reflection_MethodBase_GetMethodFromHandleInternalType_native (method=0x31c9090, type=<optimized out>, generic_check=<optimized out>) at icall.c:5233
#11 0x0000000040e06d1e in ?? ()
#12 0x000000000000003c in ?? ()
#13 0x00002b48edceeb48 in ?? ()
#14 0x000000000000001e in ?? ()
#15 0x00002b48edfd8008 in ?? ()
#16 0x00000000000000b5 in ?? ()
#17 0x00002b4928001e00 in ?? ()
#18 0x00002b4907261f70 in ?? ()
#19 0x00002b4907261fc0 in ?? ()
#20 0x00002b4907261eb0 in ?? ()
#21 0x00002b48ef7db6bd in System_Reflection_MethodBase_GetMethodFromHandleNoGenericCheck_System_RuntimeMethodHandle_System_RuntimeTypeHandle (handle=52203664, reflectedType=-64629704) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#22 0x00002b48ef5d53b0 in System_RuntimeType_GetMethodsByName_string_System_Reflection_BindingFlags_bool_System_RuntimeType (this=..., name=0x2b48edceeb48, bindingAttr=(Public | GetProperty | PutRefDispProperty | OptionalParamBinding | IgnoreReturn | unknown: 35127424), ignoreCase=56, reflectedType=...) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#23 0x00002b48ef5d75cd in System_RuntimeType_GetMethodCandidates_string_System_Reflection_BindingFlags_System_Reflection_CallingConventions_System_Type___bool (this=..., name=0x0, bindingAttr=(Instance | Static | Public | NonPublic), callConv=Any, types=0x0, allowPrefixLookup=false) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#24 0x00002b48ef5d8205 in System_RuntimeType_GetMethods_System_Reflection_BindingFlags (this=..., bindingAttr=(Instance | Static | Public | NonPublic)) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#25 0x00002b48ef81e1cd in System_Diagnostics_StackTrace_GetFullNameForStackTrace_System_Text_StringBuilder_System_Reflection_MethodBase (sb=..., mi=...) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#26 0x00002b48ef81de43 in System_Diagnostics_StackTrace_AddFrames_System_Text_StringBuilder (this=..., sb=...) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#27 0x00002b48ef81e58f in System_Diagnostics_StackTrace_ToString (this=...) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#28 0x00002b48ef81e5d1 in System_Diagnostics_StackTrace_ToString_System_Diagnostics_StackTrace_TraceFormat (this=..., traceFormat=<optimized out>) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#29 0x00002b48ef59ced6 in System_Environment_GetStackTrace_System_Exception_bool (e=..., needFileInfo=64) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#30 0x00002b48ef606e08 in System_Exception_GetStackTrace_bool (this=..., needFileInfo=true) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#31 0x00002b48ef607172 in System_Exception_ToString_bool_bool (this=..., needFileLineInfo=true, needMessage=true) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#32 0x00002b48ef606fc7 in System_Exception_ToString (this=...) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#33 0x000000004135637d in ?? ()
#34 0x00002b48edaa8ab0 in ?? ()
#35 0x000000004116af9e in ?? ()
#36 0x0000000000000000 in ?? ()

Thread 14 (Thread 0x2b4907063700 (LWP 53678)):
#0  0x00002b48ed645816 in __GI___sigsuspend (set=set@entry=0x9a5a80 <suspend_signal_mask>) at ../sysdeps/unix/sysv/linux/sigsuspend.c:30
#1  0x0000000000600a04 in suspend_thread (info=0x2b4924000900, context=context@entry=0x2b4907060740) at sgen-os-posix.c:99
#2  0x0000000000600bbf in suspend_handler (_dummy=<optimized out>, _info=<optimized out>, context=0x2b4907060740) at sgen-os-posix.c:126
#3  <signal handler called>
#4  __lll_lock_wait () at ../sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:135
#5  0x00002b48ed1e6e82 in __GI___pthread_mutex_lock (mutex=mutex@entry=0x267a990) at ../nptl/pthread_mutex_lock.c:115
#6  0x00000000005ce3d7 in mono_os_mutex_lock (mutex=0x267a990) at ../../mono/utils/mono-os-mutex.h:96
#7  mono_coop_mutex_lock (mutex=0x267a990) at ../../mono/utils/mono-coop-mutex.h:53
#8  mono_domain_lock (domain=domain@entry=0x267a990) at domain.c:2047
#9  0x00000000005ec61b in mono_method_get_object_checked (domain=0x267a990, method=method@entry=0x35ed9d8, refclass=refclass@entry=0x2b4900087a38, error=error@entry=0x2b4907060e20) at reflection.c:7445
#10 0x0000000000557570 in ves_icall_System_Reflection_MethodBase_GetMethodFromHandleInternalType_native (method=0x35ed9d8, type=<optimized out>, generic_check=<optimized out>) at icall.c:5233
#11 0x0000000040e06d1e in ?? ()
#12 0x000000000000003c in ?? ()
#13 0x00002b48edce4a40 in ?? ()
#14 0x00000000000000ba in ?? ()
#15 0x00002b48eddefe08 in ?? ()
#16 0x00000000000000c3 in ?? ()
#17 0x00002b4924001e00 in ?? ()
#18 0x00002b4907060f70 in ?? ()
#19 0x00002b4907060fc0 in ?? ()
#20 0x00002b4907060eb0 in ?? ()
#21 0x00002b48ef7db6bd in System_Reflection_MethodBase_GetMethodFromHandleNoGenericCheck_System_RuntimeMethodHandle_System_RuntimeTypeHandle (handle=56547800, reflectedType=555776) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#22 0x00002b48ef5d53b0 in System_RuntimeType_GetMethodsByName_string_System_Reflection_BindingFlags_bool_System_RuntimeType (this=..., name=0x2b48edce4a40, bindingAttr=(Static | Public | FlattenHierarchy | InvokeMethod | SetField | GetProperty | PutDispProperty | PutRefDispProperty | SuppressChangeType | OptionalParamBinding | IgnoreReturn | unknown: 39321728), ignoreCase=false, reflectedType=...) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#23 0x00002b48ef5d75cd in System_RuntimeType_GetMethodCandidates_string_System_Reflection_BindingFlags_System_Reflection_CallingConventions_System_Type___bool (this=..., name=0x0, bindingAttr=(Instance | Static | Public | NonPublic), callConv=Any, types=0x0, allowPrefixLookup=false) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#24 0x00002b48ef5d8205 in System_RuntimeType_GetMethods_System_Reflection_BindingFlags (this=..., bindingAttr=(Instance | Static | Public | NonPublic)) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#25 0x00002b48ef81e1cd in System_Diagnostics_StackTrace_GetFullNameForStackTrace_System_Text_StringBuilder_System_Reflection_MethodBase (sb=..., mi=...) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#26 0x00002b48ef81de43 in System_Diagnostics_StackTrace_AddFrames_System_Text_StringBuilder (this=..., sb=...) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#27 0x00002b48ef81e58f in System_Diagnostics_StackTrace_ToString (this=...) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#28 0x00002b48ef81e5d1 in System_Diagnostics_StackTrace_ToString_System_Diagnostics_StackTrace_TraceFormat (this=..., traceFormat=<optimized out>) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#29 0x00002b48ef59ced6 in System_Environment_GetStackTrace_System_Exception_bool (e=..., needFileInfo=200) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#30 0x00002b48ef606e08 in System_Exception_GetStackTrace_bool (this=..., needFileInfo=true) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#31 0x00002b48ef607172 in System_Exception_ToString_bool_bool (this=..., needFileLineInfo=true, needMessage=true) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#32 0x00002b48ef606fc7 in System_Exception_ToString (this=...) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#33 0x000000004135637d in ?? ()
#34 0x00002b48edaa8ab0 in ?? ()
#35 0x000000004116af9e in ?? ()
#36 0x0000000000000000 in ?? ()

Thread 13 (Thread 0x2b4906e62700 (LWP 53677)):
#0  0x00002b48ed645816 in __GI___sigsuspend (set=set@entry=0x9a5a80 <suspend_signal_mask>) at ../sysdeps/unix/sysv/linux/sigsuspend.c:30
#1  0x0000000000600a04 in suspend_thread (info=0x2b4920000900, context=context@entry=0x2b4906e5f740) at sgen-os-posix.c:99
#2  0x0000000000600bbf in suspend_handler (_dummy=<optimized out>, _info=<optimized out>, context=0x2b4906e5f740) at sgen-os-posix.c:126
#3  <signal handler called>
#4  __lll_unlock_wake () at ../sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:371
#5  0x00002b48ed1e853f in __pthread_mutex_unlock_usercnt (decr=1, mutex=0x267a990) at pthread_mutex_unlock.c:55
#6  __GI___pthread_mutex_unlock (mutex=0x267a990) at pthread_mutex_unlock.c:314
#7  0x00000000005ce456 in mono_os_mutex_unlock (mutex=<optimized out>) at ../../mono/utils/mono-os-mutex.h:118
#8  mono_coop_mutex_unlock (mutex=<optimized out>) at ../../mono/utils/mono-coop-mutex.h:67
#9  mono_domain_unlock (domain=<optimized out>) at domain.c:2053
#10 0x00000000005ec5d4 in mono_method_get_object_checked (domain=0x267a990, method=method@entry=0x2b490032b9d0, refclass=refclass@entry=0x2cc5728, error=error@entry=0x2b4906e5fe20) at reflection.c:7445
#11 0x0000000000557570 in ves_icall_System_Reflection_MethodBase_GetMethodFromHandleInternalType_native (method=0x2b490032b9d0, type=<optimized out>, generic_check=<optimized out>) at icall.c:5233
#12 0x0000000040e06d1e in ?? ()
#13 0x000000000000003c in ?? ()
#14 0x00002b48edcf57b8 in ?? ()
#15 0x0000000000000148 in ?? ()
#16 0x00002b48edf38660 in ?? ()
#17 0x0000000000000296 in ?? ()
#18 0x00002b4920001e00 in ?? ()
#19 0x00002b4906e5ff70 in ?? ()
#20 0x00002b4906e5ffc0 in ?? ()
#21 0x00002b4906e5feb0 in ?? ()
#22 0x00002b48ef7db6bd in System_Reflection_MethodBase_GetMethodFromHandleNoGenericCheck_System_RuntimeMethodHandle_System_RuntimeTypeHandle (handle=3324368, reflectedType=46946288) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#23 0x00002b48ef5d53b0 in System_RuntimeType_GetMethodsByName_string_System_Reflection_BindingFlags_bool_System_RuntimeType (this=..., name=0x2b48edcf57b8, bindingAttr=(Public | FlattenHierarchy | InvokeMethod | SetField | GetProperty | SetProperty | PutRefDispProperty | SuppressChangeType | unknown: 3145856), ignoreCase=240, reflectedType=...) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#24 0x00002b48ef5d75cd in System_RuntimeType_GetMethodCandidates_string_System_Reflection_BindingFlags_System_Reflection_CallingConventions_System_Type___bool (this=..., name=0x0, bindingAttr=(Instance | Static | Public | NonPublic), callConv=Any, types=0x0, allowPrefixLookup=false) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#25 0x00002b48ef5d8205 in System_RuntimeType_GetMethods_System_Reflection_BindingFlags (this=..., bindingAttr=(Instance | Static | Public | NonPublic)) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#26 0x00002b48ef81e1cd in System_Diagnostics_StackTrace_GetFullNameForStackTrace_System_Text_StringBuilder_System_Reflection_MethodBase (sb=..., mi=...) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#27 0x00002b48ef81de43 in System_Diagnostics_StackTrace_AddFrames_System_Text_StringBuilder (this=..., sb=...) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#28 0x00002b48ef81e58f in System_Diagnostics_StackTrace_ToString (this=...) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#29 0x00002b48ef81e5d1 in System_Diagnostics_StackTrace_ToString_System_Diagnostics_StackTrace_TraceFormat (this=..., traceFormat=<optimized out>) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#30 0x00002b48ef59ced6 in System_Environment_GetStackTrace_System_Exception_bool (e=..., needFileInfo=40) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#31 0x00002b48ef606e08 in System_Exception_GetStackTrace_bool (this=..., needFileInfo=true) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#32 0x00002b48ef607172 in System_Exception_ToString_bool_bool (this=..., needFileLineInfo=true, needMessage=true) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#33 0x00002b48ef606fc7 in System_Exception_ToString (this=...) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#34 0x000000004135637d in ?? ()
#35 0x00002b48edaa8ab0 in ?? ()
#36 0x000000004116af9e in ?? ()
#37 0x0000000000000000 in ?? ()

Thread 12 (Thread 0x2b4906c61700 (LWP 53676)):
#0  0x00002b48ed645816 in __GI___sigsuspend (set=set@entry=0x9a5a80 <suspend_signal_mask>) at ../sysdeps/unix/sysv/linux/sigsuspend.c:30
#1  0x0000000000600a04 in suspend_thread (info=0x2b491c000900, context=context@entry=0x2b4906c5e180) at sgen-os-posix.c:99
#2  0x0000000000600bbf in suspend_handler (_dummy=<optimized out>, _info=<optimized out>, context=0x2b4906c5e180) at sgen-os-posix.c:126
#3  <signal handler called>
#4  __lll_lock_wait () at ../sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:133
#5  0x00002b48ed1e6e82 in __GI___pthread_mutex_lock (mutex=mutex@entry=0x9a49e0 <loader_mutex>) at ../nptl/pthread_mutex_lock.c:115
#6  0x0000000000560245 in mono_os_mutex_lock (mutex=0x9a49e0 <loader_mutex>) at ../../mono/utils/mono-os-mutex.h:96
#7  mono_coop_mutex_lock (mutex=0x9a49e0 <loader_mutex>) at ../../mono/utils/mono-coop-mutex.h:53
#8  mono_loader_lock () at loader.c:2258
#9  0x00000000005ec0dc in mono_type_get_object_checked (domain=0x267a990, type=type@entry=0x2b38cf8, error=error@entry=0x2b4906c5e820) at reflection.c:7290
#10 0x000000000054aa13 in ves_icall_RuntimeTypeHandle_GetGenericTypeDefinition_impl (type=0x2b49061b8910) at icall.c:2872
#11 0x0000000040ee1aa2 in ?? ()
#12 0x00002b48eda86f20 in ?? ()
#13 0x00002b48edaa5c30 in ?? ()
#14 0x00002b49061b8910 in ?? ()
#15 0x00002b48edf75c80 in ?? ()
#16 0x00002b48edcc37f8 in ?? ()
#17 0x00002b491c001e00 in ?? ()
#18 0x00002b48edcc37f8 in ?? ()
#19 0x00002b48edf75cf0 in ?? ()
#20 0x00002b4906c5e8b0 in ?? ()
#21 0x00002b48ef5ad4fd in System_RuntimeTypeHandle_GetGenericTypeDefinition_System_RuntimeType (type=...) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#22 0x00002b48ef5dac45 in System_RuntimeType_GetGenericTypeDefinition (this=...) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#23 0x00002b48ef81e1b8 in System_Diagnostics_StackTrace_GetFullNameForStackTrace_System_Text_StringBuilder_System_Reflection_MethodBase (sb=..., mi=...) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#24 0x00002b48ef81de43 in System_Diagnostics_StackTrace_AddFrames_System_Text_StringBuilder (this=..., sb=...) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#25 0x00002b48ef81e58f in System_Diagnostics_StackTrace_ToString (this=...) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#26 0x00002b48ef81e5d1 in System_Diagnostics_StackTrace_ToString_System_Diagnostics_StackTrace_TraceFormat (this=..., traceFormat=<optimized out>) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#27 0x00002b48ef59ced6 in System_Environment_GetStackTrace_System_Exception_bool (e=..., needFileInfo=200) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#28 0x00002b48ef606e08 in System_Exception_GetStackTrace_bool (this=..., needFileInfo=true) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#29 0x00002b48ef607172 in System_Exception_ToString_bool_bool (this=..., needFileLineInfo=true, needMessage=true) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#30 0x00002b48ef606fc7 in System_Exception_ToString (this=...) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#31 0x000000004135637d in ?? ()
#32 0x00002b48edaa8ab0 in ?? ()
#33 0x000000004116af9e in ?? ()
#34 0x0000000000000000 in ?? ()

Thread 11 (Thread 0x2b4906a60700 (LWP 53675)):
#0  0x00002b48ed1ec867 in futex_abstimed_wait_cancelable (private=0, abstime=0x0, expected=0, futex_word=0x9a5b20 <suspend_ack_semaphore>) at ../sysdeps/unix/sysv/linux/futex-internal.h:205
#1  do_futex_wait (sem=sem@entry=0x9a5b20 <suspend_ack_semaphore>, abstime=0x0) at sem_waitcommon.c:111
#2  0x00002b48ed1ec914 in __new_sem_wait_slow (sem=0x9a5b20 <suspend_ack_semaphore>, abstime=0x0) at sem_waitcommon.c:181
#3  0x00002b48ed1ec9ba in __new_sem_wait (sem=sem@entry=0x9a5b20 <suspend_ack_semaphore>) at sem_wait.c:29
#4  0x0000000000600c41 in mono_os_sem_wait (flags=MONO_SEM_FLAGS_NONE, sem=0x9a5b20 <suspend_ack_semaphore>) at ../../mono/utils/mono-os-semaphore.h:209
#5  sgen_wait_for_suspend_ack (count=count@entry=15) at sgen-os-posix.c:161
#6  0x0000000000600d2f in sgen_thread_handshake (suspend=suspend@entry=1) at sgen-os-posix.c:196
#7  0x00000000006014aa in sgen_client_stop_world (generation=generation@entry=0) at sgen-stw.c:225
#8  0x0000000000622dea in sgen_stop_world (generation=0) at sgen-gc.c:3221
#9  0x000000000062316f in sgen_perform_collection (requested_size=requested_size@entry=5328, generation_to_collect=0, reason=0x72219c "Nursery full", wait_to_finish=wait_to_finish@entry=0, stw=stw@entry=1) at sgen-gc.c:2247
#10 0x000000000062349c in sgen_ensure_free_space (size=size@entry=5328, generation=generation@entry=0) at sgen-gc.c:2226
#11 0x0000000000615476 in sgen_alloc_obj_nolock (vtable=vtable@entry=0x289cce8, size=size@entry=5328) at sgen-alloc.c:261
#12 0x0000000000601e21 in mono_gc_alloc_vector (vtable=0x289cce8, size=5328, max_length=662) at sgen-mono.c:1768
#13 0x0000000040e0813e in ?? ()
#14 0x00002b48edfff0b0 in ?? ()
#15 0x00002b4906a606e8 in ?? ()
#16 0x00000000000014d0 in ?? ()
#17 0x000000000289cce8 in ?? ()
#18 0x0000000000000296 in ?? ()
#19 0x00002b4918001e00 in ?? ()
#20 0x00002b4906a5def0 in ?? ()
#21 0x00002b4906a5df20 in ?? ()
#22 0x00002b4906a5de80 in ?? ()
#23 0x0000000040e061c4 in ?? ()
#24 0x00002b48ee000580 in ?? ()
#25 0x0000000040e0e3ad in ?? ()
#26 0x000000000000003c in ?? ()
#27 0x0000000000000000 in ?? ()

Thread 10 (Thread 0x2b49066dd700 (LWP 53674)):
#0  0x00002b48ed645816 in __GI___sigsuspend (set=set@entry=0x9a5a80 <suspend_signal_mask>) at ../sysdeps/unix/sysv/linux/sigsuspend.c:30
#1  0x0000000000600a04 in suspend_thread (info=0x2b4914000900, context=context@entry=0x2b49066db340) at sgen-os-posix.c:99
#2  0x0000000000600bbf in suspend_handler (_dummy=<optimized out>, _info=<optimized out>, context=0x2b49066db340) at sgen-os-posix.c:126
#3  <signal handler called>
#4  0x0000000040e07ae7 in ?? ()
#5  0x00002b48edcb68d0 in ?? ()
#6  0x0000000000000000 in ?? ()

Thread 9 (Thread 0x2b49064dc700 (LWP 53673)):
#0  0x00002b48ed1edfbb in __waitpid (pid=pid@entry=53691, stat_loc=stat_loc@entry=0x2b48f18eb10c, options=options@entry=0) at ../sysdeps/unix/sysv/linux/waitpid.c:29
#1  0x00000000004b4086 in mono_handle_native_sigsegv (signal=signal@entry=11, ctx=ctx@entry=0x2b48f18ebac0, info=info@entry=0x2b48f18ebbf0) at mini-exceptions.c:2424
#2  0x000000000050a4fe in mono_arch_handle_altstack_exception (sigctx=sigctx@entry=0x2b48f18ebac0, siginfo=siginfo@entry=0x2b48f18ebbf0, fault_addr=<optimized out>, stack_ovf=stack_ovf@entry=0) at exceptions-amd64.c:795
#3  0x0000000000427453 in mono_sigsegv_signal_handler (_dummy=11, _info=0x2b48f18ebbf0, context=0x2b48f18ebac0) at mini-runtime.c:2872
#4  <signal handler called>
#5  0x000000004116e822 in ?? ()
#6  0x0000000040f89298 in ?? ()
#7  0x00002b4905bdadb0 in ?? ()
#8  0x00002b490553ee30 in ?? ()
#9  0x0000000000000000 in ?? ()

Thread 8 (Thread 0x2b4905358700 (LWP 53646)):
#0  0x00002b48ed645816 in __GI___sigsuspend (set=set@entry=0x9a5a80 <suspend_signal_mask>) at ../sysdeps/unix/sysv/linux/sigsuspend.c:30
#1  0x0000000000600a04 in suspend_thread (info=0x2b490c000900, context=context@entry=0x2b4905355500) at sgen-os-posix.c:99
#2  0x0000000000600bbf in suspend_handler (_dummy=<optimized out>, _info=<optimized out>, context=0x2b4905355500) at sgen-os-posix.c:126
#3  <signal handler called>
#4  __lll_lock_wait () at ../sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:133
#5  0x00002b48ed1e6e82 in __GI___pthread_mutex_lock (mutex=mutex@entry=0x9a49e0 <loader_mutex>) at ../nptl/pthread_mutex_lock.c:115
#6  0x0000000000560245 in mono_os_mutex_lock (mutex=0x9a49e0 <loader_mutex>) at ../../mono/utils/mono-os-mutex.h:96
#7  mono_coop_mutex_lock (mutex=0x9a49e0 <loader_mutex>) at ../../mono/utils/mono-coop-mutex.h:53
#8  mono_loader_lock () at loader.c:2258
#9  0x00000000005ec0dc in mono_type_get_object_checked (domain=0x267a990, type=type@entry=0x26e8cb0, error=error@entry=0x2b4905355bb0) at reflection.c:7290
#10 0x000000000054aa13 in ves_icall_RuntimeTypeHandle_GetGenericTypeDefinition_impl (type=0x2b4905140dc0) at icall.c:2872
#11 0x0000000040ee1aa2 in ?? ()
#12 0x0000000000000018 in ?? ()
#13 0x00002b4905140dc0 in ?? ()
#14 0x0000000000000001 in ?? ()
#15 0x00002b48edfac2e8 in ?? ()
#16 0x00002b48edce9250 in ?? ()
#17 0x00002b490c001e00 in ?? ()
#18 0x00002b48edce9250 in ?? ()
#19 0x00002b48edce90b8 in ?? ()
#20 0x00002b4905355c40 in ?? ()
#21 0x00002b48ef5ad4fd in System_RuntimeTypeHandle_GetGenericTypeDefinition_System_RuntimeType (type=...) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#22 0x00002b48ef5dac45 in System_RuntimeType_GetGenericTypeDefinition (this=...) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#23 0x00002b48ef81e3b6 in System_Diagnostics_StackTrace_GetFullNameForStackTrace_System_Text_StringBuilder_System_Reflection_MethodBase (sb=..., mi=...) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#24 0x00002b48ef81de43 in System_Diagnostics_StackTrace_AddFrames_System_Text_StringBuilder (this=..., sb=...) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#25 0x00002b48ef81e58f in System_Diagnostics_StackTrace_ToString (this=...) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#26 0x00002b48ef81e5d1 in System_Diagnostics_StackTrace_ToString_System_Diagnostics_StackTrace_TraceFormat (this=..., traceFormat=<optimized out>) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#27 0x00002b48ef59ced6 in System_Environment_GetStackTrace_System_Exception_bool (e=..., needFileInfo=false) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#28 0x00002b48ef606e08 in System_Exception_GetStackTrace_bool (this=..., needFileInfo=true) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#29 0x00002b48ef607172 in System_Exception_ToString_bool_bool (this=..., needFileLineInfo=true, needMessage=true) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#30 0x00002b48ef606fc7 in System_Exception_ToString (this=...) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#31 0x000000004116af84 in ?? ()
#32 0x0000000000000000 in ?? ()

Thread 7 (Thread 0x2b4904580700 (LWP 53642)):
#0  0x00002b48ed645816 in __GI___sigsuspend (set=set@entry=0x9a5a80 <suspend_signal_mask>) at ../sysdeps/unix/sysv/linux/sigsuspend.c:30
#1  0x0000000000600a04 in suspend_thread (info=0x2b4908000900, context=context@entry=0x2b490457d8c0) at sgen-os-posix.c:99
#2  0x0000000000600bbf in suspend_handler (_dummy=<optimized out>, _info=<optimized out>, context=0x2b490457d8c0) at sgen-os-posix.c:126
#3  <signal handler called>
#4  __lll_lock_wait () at ../sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:135
#5  0x00002b48ed1e6e82 in __GI___pthread_mutex_lock (mutex=mutex@entry=0x9a49e0 <loader_mutex>) at ../nptl/pthread_mutex_lock.c:115
#6  0x0000000000560245 in mono_os_mutex_lock (mutex=0x9a49e0 <loader_mutex>) at ../../mono/utils/mono-os-mutex.h:96
#7  mono_coop_mutex_lock (mutex=0x9a49e0 <loader_mutex>) at ../../mono/utils/mono-coop-mutex.h:53
#8  mono_loader_lock () at loader.c:2258
#9  0x0000000000517c9f in mono_get_seq_points (domain=domain@entry=0x267a990, method=0x2b490c17d120) at seq-points.c:259
#10 0x0000000000517d91 in mono_find_prev_seq_point_for_native_offset (domain=domain@entry=0x267a990, method=<optimized out>, native_offset=native_offset@entry=59, info=info@entry=0x0, seq_point=seq_point@entry=0x2b490457dfd0) at seq-points.c:304
#11 0x00000000004b0cad in ves_icall_get_trace (exc=<optimized out>, skip=<optimized out>, need_file_info=1 '\001') at mini-exceptions.c:778
#12 0x000000004135505e in ?? ()
#13 0x00002b48edcdc348 in ?? ()
#14 0x00002b48edfc90c0 in ?? ()
#15 0x0000000000000000 in ?? ()

Thread 6 (Thread 0x2b48f2109700 (LWP 53640)):
#0  0x00002b48ed645816 in __GI___sigsuspend (set=set@entry=0x9a5a80 <suspend_signal_mask>) at ../sysdeps/unix/sysv/linux/sigsuspend.c:30
#1  0x0000000000600a04 in suspend_thread (info=0x2b4900000900, context=context@entry=0x2b48f2106740) at sgen-os-posix.c:99
#2  0x0000000000600bbf in suspend_handler (_dummy=<optimized out>, _info=<optimized out>, context=0x2b48f2106740) at sgen-os-posix.c:126
#3  <signal handler called>
#4  __lll_lock_wait () at ../sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:135
#5  0x00002b48ed1e6e82 in __GI___pthread_mutex_lock (mutex=mutex@entry=0x267a990) at ../nptl/pthread_mutex_lock.c:115
#6  0x00000000005ce3d7 in mono_os_mutex_lock (mutex=0x267a990) at ../../mono/utils/mono-os-mutex.h:96
#7  mono_coop_mutex_lock (mutex=0x267a990) at ../../mono/utils/mono-coop-mutex.h:53
#8  mono_domain_lock (domain=domain@entry=0x267a990) at domain.c:2047
#9  0x00000000005ec61b in mono_method_get_object_checked (domain=0x267a990, method=method@entry=0x2b48fc192f10, refclass=refclass@entry=0x2cc5728, error=error@entry=0x2b48f2106e20) at reflection.c:7445
#10 0x0000000000557570 in ves_icall_System_Reflection_MethodBase_GetMethodFromHandleInternalType_native (method=0x2b48fc192f10, type=<optimized out>, generic_check=<optimized out>) at icall.c:5233
#11 0x0000000040e06d1e in ?? ()
#12 0x000000000000003c in ?? ()
#13 0x00002b48edcf8a88 in ?? ()
#14 0x000000000000028d in ?? ()
#15 0x00002b48edfaadd0 in ?? ()
#16 0x0000000000000296 in ?? ()
#17 0x00002b4900001e00 in ?? ()
#18 0x00002b48f2106f70 in ?? ()
#19 0x00002b48f2106fc0 in ?? ()
#20 0x00002b48f2106eb0 in ?? ()
#21 0x00002b48ef7db6bd in System_Reflection_MethodBase_GetMethodFromHandleNoGenericCheck_System_RuntimeMethodHandle_System_RuntimeTypeHandle (handle=-65458416, reflectedType=46946288) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#22 0x00002b48ef5d53b0 in System_RuntimeType_GetMethodsByName_string_System_Reflection_BindingFlags_bool_System_RuntimeType (this=..., name=0x2b48edcf8a88, bindingAttr=(Public | InvokeMethod | CreateInstance | GetField | SetField | SetProperty | ExactBinding | unknown: -65536000), ignoreCase=240, reflectedType=...) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#23 0x00002b48ef5d75cd in System_RuntimeType_GetMethodCandidates_string_System_Reflection_BindingFlags_System_Reflection_CallingConventions_System_Type___bool (this=..., name=0x0, bindingAttr=(Instance | Static | Public | NonPublic), callConv=Any, types=0x0, allowPrefixLookup=false) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#24 0x00002b48ef5d8205 in System_RuntimeType_GetMethods_System_Reflection_BindingFlags (this=..., bindingAttr=(Instance | Static | Public | NonPublic)) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#25 0x00002b48ef81e1cd in System_Diagnostics_StackTrace_GetFullNameForStackTrace_System_Text_StringBuilder_System_Reflection_MethodBase (sb=..., mi=...) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#26 0x00002b48ef81de43 in System_Diagnostics_StackTrace_AddFrames_System_Text_StringBuilder (this=..., sb=...) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#27 0x00002b48ef81e58f in System_Diagnostics_StackTrace_ToString (this=...) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#28 0x00002b48ef81e5d1 in System_Diagnostics_StackTrace_ToString_System_Diagnostics_StackTrace_TraceFormat (this=..., traceFormat=<optimized out>) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#29 0x00002b48ef59ced6 in System_Environment_GetStackTrace_System_Exception_bool (e=..., needFileInfo=32) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#30 0x00002b48ef606e08 in System_Exception_GetStackTrace_bool (this=..., needFileInfo=true) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#31 0x00002b48ef607172 in System_Exception_ToString_bool_bool (this=..., needFileLineInfo=true, needMessage=true) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#32 0x00002b48ef606fc7 in System_Exception_ToString (this=...) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#33 0x000000004135637d in ?? ()
#34 0x00002b48edaa8ab0 in ?? ()
#35 0x000000004116af9e in ?? ()
#36 0x0000000000000000 in ?? ()

Thread 5 (Thread 0x2b48f1f08700 (LWP 53639)):
#0  0x00002b48ed645816 in __GI___sigsuspend (set=set@entry=0x9a5a80 <suspend_signal_mask>) at ../sysdeps/unix/sysv/linux/sigsuspend.c:30
#1  0x0000000000600a04 in suspend_thread (info=0x2b48fc000900, context=context@entry=0x2b48f1f05a80) at sgen-os-posix.c:99
#2  0x0000000000600bbf in suspend_handler (_dummy=<optimized out>, _info=<optimized out>, context=0x2b48f1f05a80) at sgen-os-posix.c:126
#3  <signal handler called>
#4  __lll_lock_wait () at ../sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:133
#5  0x00002b48ed1e6e82 in __GI___pthread_mutex_lock (mutex=mutex@entry=0x9a49e0 <loader_mutex>) at ../nptl/pthread_mutex_lock.c:115
#6  0x0000000000560245 in mono_os_mutex_lock (mutex=0x9a49e0 <loader_mutex>) at ../../mono/utils/mono-os-mutex.h:96
#7  mono_coop_mutex_lock (mutex=0x9a49e0 <loader_mutex>) at ../../mono/utils/mono-coop-mutex.h:53
#8  mono_loader_lock () at loader.c:2258
#9  0x0000000000517c9f in mono_get_seq_points (domain=domain@entry=0x267a990, method=0x2b490c17d120) at seq-points.c:259
#10 0x0000000000517d91 in mono_find_prev_seq_point_for_native_offset (domain=domain@entry=0x267a990, method=<optimized out>, native_offset=native_offset@entry=59, info=info@entry=0x0, seq_point=seq_point@entry=0x2b48f1f06190) at seq-points.c:304
#11 0x00000000004b0cad in ves_icall_get_trace (exc=<optimized out>, skip=<optimized out>, need_file_info=1 '\001') at mini-exceptions.c:778
#12 0x000000004135505e in ?? ()
#13 0x00002b48edefd000 in ?? ()
#14 0x00002b48edfd4c78 in ?? ()
#15 0x0000000000000000 in ?? ()

Thread 4 (Thread 0x2b48edbf5700 (LWP 53638)):
#0  __lll_lock_wait () at ../sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:135
#1  0x00002b48ed1e6dfd in __GI___pthread_mutex_lock (mutex=mutex@entry=0x9d5f40 <gc_mutex>) at ../nptl/pthread_mutex_lock.c:80
#2  0x0000000000622cab in mono_os_mutex_lock (mutex=0x9d5f40 <gc_mutex>) at ../../mono/utils/mono-os-mutex.h:96
#3  mono_coop_mutex_lock (mutex=0x9d5f40 <gc_mutex>) at ../../mono/utils/mono-coop-mutex.h:53
#4  sgen_gc_lock () at sgen-gc.c:3169
#5  0x0000000000605ed5 in mono_gc_set_skip_thread (skip=skip@entry=0) at sgen-mono.c:2294
#6  0x00000000005b162f in monitor_thread () at threadpool-ms.c:918
#7  0x00000000005aae5c in start_wrapper_internal (data=<optimized out>) at threads.c:753
#8  start_wrapper (data=<optimized out>) at threads.c:815
#9  0x000000000066974f in inner_start_thread (arg=<optimized out>) at mono-threads-posix.c:156
#10 0x00002b48ed1e46fa in start_thread (arg=0x2b48edbf5700) at pthread_create.c:333
#11 0x00002b48ed716b5d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 3 (Thread 0x2b48f01b0700 (LWP 53635)):
#0  0x00002b48ed1ec867 in futex_abstimed_wait_cancelable (private=0, abstime=0x0, expected=0, futex_word=0x9a5400 <finalizer_sem>) at ../sysdeps/unix/sysv/linux/futex-internal.h:205
#1  do_futex_wait (sem=sem@entry=0x9a5400 <finalizer_sem>, abstime=0x0) at sem_waitcommon.c:111
#2  0x00002b48ed1ec914 in __new_sem_wait_slow (sem=0x9a5400 <finalizer_sem>, abstime=0x0) at sem_waitcommon.c:181
#3  0x00002b48ed1ec9ba in __new_sem_wait (sem=sem@entry=0x9a5400 <finalizer_sem>) at sem_wait.c:29
#4  0x00000000005cf10f in mono_os_sem_wait (flags=MONO_SEM_FLAGS_ALERTABLE, sem=0x9a5400 <finalizer_sem>) at ../../mono/utils/mono-os-semaphore.h:209
#5  mono_coop_sem_wait (flags=MONO_SEM_FLAGS_ALERTABLE, sem=0x9a5400 <finalizer_sem>) at ../../mono/utils/mono-coop-semaphore.h:40
#6  finalizer_thread (unused=unused@entry=0x0) at gc.c:903
#7  0x00000000005aae5c in start_wrapper_internal (data=<optimized out>) at threads.c:753
#8  start_wrapper (data=<optimized out>) at threads.c:815
#9  0x000000000066974f in inner_start_thread (arg=<optimized out>) at mono-threads-posix.c:156
#10 0x00002b48ed1e46fa in start_thread (arg=0x2b48f01b0700) at pthread_create.c:333
#11 0x00002b48ed716b5d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 2 (Thread 0x2b48ee200700 (LWP 53632)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x000000000063d0df in mono_os_cond_wait (mutex=0x9b4820 <lock>, cond=0x9b47e0 <work_cond>) at ../../mono/utils/mono-os-mutex.h:150
#2  thread_func (thread_data=0x0) at sgen-thread-pool.c:110
#3  0x00002b48ed1e46fa in start_thread (arg=0x2b48ee200700) at pthread_create.c:333
#4  0x00002b48ed716b5d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 1 (Thread 0x2b48ec8d5c40 (LWP 53583)):
#0  0x00002b48ed645816 in __GI___sigsuspend (set=set@entry=0x9a5a80 <suspend_signal_mask>) at ../sysdeps/unix/sysv/linux/sigsuspend.c:30
#1  0x0000000000600a04 in suspend_thread (info=0x2678d50, context=context@entry=0x7ffee35fd880) at sgen-os-posix.c:99
#2  0x0000000000600bbf in suspend_handler (_dummy=<optimized out>, _info=<optimized out>, context=0x7ffee35fd880) at sgen-os-posix.c:126
#3  <signal handler called>
#4  pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:183
#5  0x000000000066d135 in mono_os_cond_wait (mutex=0x2672de0, cond=0x2672e08) at mono-os-mutex.h:150
#6  mono_os_cond_timedwait (timeout_ms=4294967295, mutex=0x2672de0, cond=0x2672e08) at mono-os-mutex.h:164
#7  mono_w32handle_timedwait_signal_naked (cond=0x2672e08, mutex=0x2672de0, timeout=4294967295, poll=<optimized out>, alerted=<optimized out>) at w32handle.c:1007
#8  0x000000000066eeba in mono_w32handle_timedwait_signal_handle (handle=handle@entry=0x42c, timeout=timeout@entry=4294967295, poll=poll@entry=0, alerted=alerted@entry=0x7ffee35fdf04) at w32handle.c:1122
#9  0x0000000000653d64 in wapi_WaitForSingleObjectEx (handle=handle@entry=0x42c, timeout=timeout@entry=4294967295, alertable=alertable@entry=1) at wait.c:148
#10 0x00000000005d6ab6 in ves_icall_System_Threading_Monitor_Monitor_wait (obj=0x2b48edd01fd0, ms=4294967295) at monitor.c:1300
#11 0x00002b48ef674741 in System_Threading_Monitor_ObjWait_bool_int_object (exitContext=false, millisecondsTimeout=-1, obj=0xffffffffffffffff) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#12 0x00002b48ef674cad in System_Threading_Monitor_Wait_object_int_bool (obj=0x2b48edd01fd0, millisecondsTimeout=-1, exitContext=false) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#13 0x00002b48ef674d34 in System_Threading_Monitor_Wait_object_int (obj=0x2b48edd01fd0, millisecondsTimeout=-1) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#14 0x00002b48ef68558b in System_Threading_ManualResetEventSlim_Wait_int_System_Threading_CancellationToken (this=..., millisecondsTimeout=-1, cancellationToken=0) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#15 0x00002b48ef69d892 in System_Threading_Tasks_Task_SpinThenBlockingWait_int_System_Threading_CancellationToken (this=..., millisecondsTimeout=-1, cancellationToken=0) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#16 0x00002b48ef69d7bc in System_Threading_Tasks_Task_InternalWait_int_System_Threading_CancellationToken (this=..., millisecondsTimeout=-1, cancellationToken=0) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#17 0x00002b48ef7b7211 in System_Runtime_CompilerServices_TaskAwaiter_HandleNonSuccessAndDebuggerNotification_System_Threading_Tasks_Task (task=...) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#18 0x00002b48ef7b719b in System_Runtime_CompilerServices_TaskAwaiter_ValidateEnd_System_Threading_Tasks_Task (task=...) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#19 0x00002b48ef7b7153 in System_Runtime_CompilerServices_TaskAwaiter_GetResult (this=140732713132640) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#20 0x000000004109c9e4 in ?? ()
#21 0x00002b48eddf7558 in ?? ()
#22 0x00002b48edeec828 in ?? ()
#23 0x00002b48edeec828 in ?? ()
#24 0x00002b48edeec828 in ?? ()
#25 0x00002b48edeec828 in ?? ()
#26 0x00000000410997c4 in ?? ()
#27 0x0000000000000000 in ?? ()

=================================================================
Got a SIGSEGV while executing native code. This usually indicates
a fatal error in the mono runtime or one of the native libraries
used by your application.
=================================================================

Aborted (core dumped)
../../build/library.make:302: recipe for target '../../class/lib/net_4_x/System.Core.dll' failed
Comment 10 Marek Safar 2016-08-17 13:49:47 UTC
mono_class_from_mono_type: implement me 0x00

* Assertion: should not be reached at class.c:6580

Stacktrace:

  at <unknown> <0xffffffff>
  at System.Collections.Concurrent.ConcurrentDictionary`2<Microsoft.Cci.IReference, uint>.TryGetValue (Microsoft.Cci.IReference,uint&) <0x000e1>
  at Microsoft.CodeAnalysis.CodeGen.TokenMap`1<T_REF>.GetOrAddTokenFor (T_REF,bool&) <0x00056>
  at Microsoft.CodeAnalysis.Emit.PEModuleBuilder`9<TCompilation_REF, TSourceModuleSymbol_REF, TAssemblySymbol_REF, TTypeSymbol_REF, TNamedTypeSymbol_REF, TMethodSymbol_REF, TSyntaxNode_REF, TEmbeddedTypesManager_REF, TModuleCompilationState_REF>.GetFakeSymbolTokenForIL (Microsoft.Cci.IReference,Microsoft.CodeAnalysis.SyntaxNode,Microsoft.CodeAnalysis.DiagnosticBag) <0x0003f>
  at Microsoft.CodeAnalysis.CodeGen.ILBuilder.EmitToken (Microsoft.Cci.IReference,Microsoft.CodeAnalysis.SyntaxNode,Microsoft.CodeAnalysis.DiagnosticBag) <0x00057>
  at Microsoft.CodeAnalysis.CSharp.CodeGen.CodeGenerator.EmitSymbolToken (Microsoft.CodeAnalysis.CSharp.Symbols.MethodSymbol,Microsoft.CodeAnalysis.CSharp.CSharpSyntaxNode,Microsoft.CodeAnalysis.CSharp.BoundArgListOperator) <0x00067>
  at Microsoft.CodeAnalysis.CSharp.CodeGen.CodeGenerator.EmitCallExpression (Microsoft.CodeAnalysis.CSharp.BoundCall,bool) <0x005ab>
  at Microsoft.CodeAnalysis.CSharp.CodeGen.CodeGenerator.EmitExpressionCore (Microsoft.CodeAnalysis.CSharp.BoundExpression,bool) <0x00183>
  at Microsoft.CodeAnalysis.CSharp.CodeGen.CodeGenerator.EmitExpression (Microsoft.CodeAnalysis.CSharp.BoundExpression,bool) <0x000c7>
  at Microsoft.CodeAnalysis.CSharp.CodeGen.CodeGenerator.EmitReceiverRef (Microsoft.CodeAnalysis.CSharp.BoundExpression,bool) <0x00043>
  at Microsoft.CodeAnalysis.CSharp.CodeGen.CodeGenerator.EmitCallExpression (Microsoft.CodeAnalysis.CSharp.BoundCall,bool) <0x00133>
  at Microsoft.CodeAnalysis.CSharp.CodeGen.CodeGenerator.EmitExpressionCore (Microsoft.CodeAnalysis.CSharp.BoundExpression,bool) <0x00183>
  at Microsoft.CodeAnalysis.CSharp.CodeGen.CodeGenerator.EmitExpressionCoreWithStackGuard (Microsoft.CodeAnalysis.CSharp.BoundExpression,bool) <0x00027>
  at Microsoft.CodeAnalysis.CSharp.CodeGen.CodeGenerator.EmitExpression (Microsoft.CodeAnalysis.CSharp.BoundExpression,bool) <0x000d7>
  at Microsoft.CodeAnalysis.CSharp.CodeGen.CodeGenerator.EmitStatement (Microsoft.CodeAnalysis.CSharp.BoundStatement) <0x0014b>
  at Microsoft.CodeAnalysis.CSharp.CodeGen.CodeGenerator.EmitStatementAndCountInstructions (Microsoft.CodeAnalysis.CSharp.BoundStatement) <0x0003f>
  at Microsoft.CodeAnalysis.CSharp.CodeGen.CodeGenerator.EmitSequencePointStatement (Microsoft.CodeAnalysis.CSharp.BoundSequencePoint) <0x00067>
  at Microsoft.CodeAnalysis.CSharp.CodeGen.CodeGenerator.EmitStatement (Microsoft.CodeAnalysis.CSharp.BoundStatement) <0x000df>
  at Microsoft.CodeAnalysis.CSharp.CodeGen.CodeGenerator.EmitBlock (Microsoft.CodeAnalysis.CSharp.BoundBlock) <0x00233>
  at Microsoft.CodeAnalysis.CSharp.CodeGen.CodeGenerator.EmitStatement (Microsoft.CodeAnalysis.CSharp.BoundStatement) <0x000af>
  at Microsoft.CodeAnalysis.CSharp.CodeGen.CodeGenerator.EmitStatementList (Microsoft.CodeAnalysis.CSharp.BoundStatementList) <0x0007b>
  at Microsoft.CodeAnalysis.CSharp.CodeGen.CodeGenerator.EmitStatement (Microsoft.CodeAnalysis.CSharp.BoundStatement) <0x0017f>
  at Microsoft.CodeAnalysis.CSharp.CodeGen.CodeGenerator.GenerateImpl () <0x00063>
  at Microsoft.CodeAnalysis.CSharp.CodeGen.CodeGenerator.Generate () <0x0000f>
  at Microsoft.CodeAnalysis.CSharp.MethodCompiler.GenerateMethodBody (Microsoft.CodeAnalysis.CSharp.Emit.PEModuleBuilder,Microsoft.CodeAnalysis.CSharp.Symbols.MethodSymbol,int,Microsoft.CodeAnalysis.CSharp.BoundStatement,System.Collections.Immutable.ImmutableArray`1<Microsoft.CodeAnalysis.CodeGen.LambdaDebugInfo>,System.Collections.Immutable.ImmutableArray`1<Microsoft.CodeAnalysis.CodeGen.ClosureDebugInfo>,Microsoft.CodeAnalysis.CSharp.StateMachineTypeSymbol,Microsoft.CodeAnalysis.CodeGen.VariableSlotAllocator,Microsoft.CodeAnalysis.DiagnosticBag,Microsoft.CodeAnalysis.CodeGen.DebugDocumentProvider,Microsoft.CodeAnalysis.CSharp.ImportChain,bool) <0x00413>
  at Microsoft.CodeAnalysis.CSharp.MethodCompiler.CompileMethod (Microsoft.CodeAnalysis.CSharp.Symbols.MethodSymbol,int,Microsoft.CodeAnalysis.CSharp.Binder/ProcessedFieldInitializers&,Microsoft.CodeAnalysis.CSharp.SynthesizedSubmissionFields,Microsoft.CodeAnalysis.CSharp.TypeCompilationState) <0x013cf>
  at Microsoft.CodeAnalysis.CSharp.MethodCompiler.CompileNamedType (Microsoft.CodeAnalysis.CSharp.Symbols.NamedTypeSymbol) <0x00793>
  at Microsoft.CodeAnalysis.CSharp.MethodCompiler/<>c__DisplayClass20_0.<CompileNamedTypeAsTask>b__0 () <0x0001b>
  at Roslyn.Utilities.UICultureUtilities/<>c__DisplayClass5_0.<WithCurrentUICulture>b__0 () <0x000a3>
  at System.Threading.Tasks.Task.InnerInvoke () <0x0004c>
  at System.Threading.Tasks.Task.Execute () <0x00055>
  at System.Threading.Tasks.Task.ExecutionContextCallback (object) <0x00045>
  at System.Threading.ExecutionContext.RunInternal (System.Threading.ExecutionContext,System.Threading.ContextCallback,object,bool) <0x0017a>
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext,System.Threading.ContextCallback,object,bool) <0x00020>
  at System.Threading.Tasks.Task.ExecuteWithThreadLocal (System.Threading.Tasks.Task&) <0x0010c>
  at System.Threading.Tasks.Task.ExecuteEntry (bool) <0x000f2>
  at System.Threading.Tasks.Task.System.Threading.IThreadPoolWorkItem.ExecuteWorkItem () <0x0000e>
  at System.Threading.ThreadPoolWorkQueue.Dispatch () <0x001d4>
  at System.Threading._ThreadPoolWaitCallback.PerformWaitCallback () <0x00008>
  at (wrapper runtime-invoke) <Module>.runtime_invoke_bool (object,intptr,intptr,intptr) <0x0005a>

Native stacktrace:

  /home/marek/mono/mono/mono/mini/mono() [0x4b3faf]
  /lib/x86_64-linux-gnu/libpthread.so.0(+0x113d0) [0x2b7a5d4a43d0]
  /lib/x86_64-linux-gnu/libc.so.6(gsignal+0x38) [0x2b7a5d8fb418]
  /lib/x86_64-linux-gnu/libc.so.6(abort+0x16a) [0x2b7a5d8fd01a]
  /home/marek/mono/mono/mono/mini/mono() [0x674ecb]
  /home/marek/mono/mono/mono/mini/mono() [0x674c65]
  /home/marek/mono/mono/mono/mini/mono() [0x674e19]
  /home/marek/mono/mono/mono/mini/mono(mono_class_from_mono_type+0x299) [0x534299]
  /home/marek/mono/mono/mono/mini/mono() [0x5344f0]
  /home/marek/mono/mono/mono/mini/mono() [0x5349b7]
  /home/marek/mono/mono/mono/mini/mono() [0x4b52d7]
  /home/marek/mono/mono/mono/mini/mono() [0x4b5743]
  /home/marek/mono/mono/mono/mini/mono() [0x4b62ac]
  [0x41c0168c]

Debug info from gdb:

[New LWP 56257]
[New LWP 56258]
[New LWP 56259]
[New LWP 56260]
[New LWP 56261]
[New LWP 56270]
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
185 ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S: No such file or directory.
  Id   Target Id         Frame
* 1    Thread 0x2b7a5cb8bc40 (LWP 56236) "Main" pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
  2    Thread 0x2b7a5deef700 (LWP 56257) "SGen worker" pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
  3    Thread 0x2b7a603af700 (LWP 56258) "Finalizer" 0x00002b7a5d4a2867 in futex_abstimed_wait_cancelable (private=0, abstime=0x0, expected=0, futex_word=0x9a5400 <finalizer_sem>) at ../sysdeps/unix/sysv/linux/futex-internal.h:205
  4    Thread 0x2b7a61e0c700 (LWP 56259) "Main" pthread_cond_timedwait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:225
  5    Thread 0x2b7a62011700 (LWP 56260) "Threadpool work" __pthread_kill (threadid=<optimized out>, signo=signo@entry=30) at ../sysdeps/unix/sysv/linux/pthread_kill.c:62
  6    Thread 0x2b7a62218700 (LWP 56261) "Threadpool work" 0x00002b7a5d8fb816 in __GI___sigsuspend (set=set@entry=0x9a5a80 <suspend_signal_mask>) at ../sysdeps/unix/sysv/linux/sigsuspend.c:30
  7    Thread 0x2b7a6328c700 (LWP 56270) "Threadpool work" pthread_cond_timedwait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:225

Thread 7 (Thread 0x2b7a6328c700 (LWP 56270)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:225
#1  0x00000000005b27c5 in mono_os_cond_timedwait (timeout_ms=<optimized out>, mutex=0x1b47238, cond=0x1b47208) at ../../mono/utils/mono-os-mutex.h:183
#2  mono_coop_cond_timedwait (timeout_ms=<optimized out>, mutex=0x1b47238, cond=0x1b47208) at ../../mono/utils/mono-coop-mutex.h:99
#3  worker_park () at threadpool-ms.c:532
#4  worker_thread (data=data@entry=0x0) at threadpool-ms.c:624
#5  0x00000000005aae5c in start_wrapper_internal (data=<optimized out>) at threads.c:753
#6  start_wrapper (data=<optimized out>) at threads.c:815
#7  0x000000000066974f in inner_start_thread (arg=<optimized out>) at mono-threads-posix.c:156
#8  0x00002b7a5d49a6fa in start_thread (arg=0x2b7a6328c700) at pthread_create.c:333
#9  0x00002b7a5d9ccb5d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 6 (Thread 0x2b7a62218700 (LWP 56261)):
#0  0x00002b7a5d8fb816 in __GI___sigsuspend (set=set@entry=0x9a5a80 <suspend_signal_mask>) at ../sysdeps/unix/sysv/linux/sigsuspend.c:30
#1  0x0000000000600a04 in suspend_thread (info=0x2b7a70000900, context=context@entry=0x2b7a62214b40) at sgen-os-posix.c:99
#2  0x0000000000600bbf in suspend_handler (_dummy=<optimized out>, _info=<optimized out>, context=0x2b7a62214b40) at sgen-os-posix.c:126
#3  <signal handler called>
#4  0x00002b7a5d4a3fb9 in __waitpid (pid=pid@entry=56290, stat_loc=stat_loc@entry=0x2b7a6221513c, options=options@entry=0) at ../sysdeps/unix/sysv/linux/waitpid.c:29
#5  0x00000000004b4086 in mono_handle_native_sigsegv (signal=<optimized out>, ctx=<optimized out>, info=<optimized out>) at mini-exceptions.c:2424
#6  <signal handler called>
#7  0x00002b7a5d8fb418 in __GI_raise (sig=sig@entry=6) at ../sysdeps/unix/sysv/linux/raise.c:54
#8  0x00002b7a5d8fd01a in __GI_abort () at abort.c:89
#9  0x0000000000674ecb in monoeg_log_default_handler (log_domain=0x0, log_level=G_LOG_LEVEL_ERROR, message=0x2b7a70349370 "* Assertion: should not be reached at class.c:6580\n", unused_data=0x0) at goutput.c:231
#10 0x0000000000674c65 in monoeg_g_logv (log_domain=0x0, log_level=G_LOG_LEVEL_ERROR, format=0x681198 "* Assertion: should not be reached at %s:%d\n", args=0x2b7a62216100) at goutput.c:111
#11 0x0000000000674e19 in monoeg_assertion_message (format=0x681198 "* Assertion: should not be reached at %s:%d\n") at goutput.c:131
#12 0x0000000000534299 in mono_class_from_mono_type (type=<optimized out>) at class.c:6580
#13 0x00000000005344f0 in mono_type_get_name_recurse (type=type@entry=0x2951e30, str=str@entry=0x2b7a703348c0, is_recursed=is_recursed@entry=0, format=format@entry=MONO_TYPE_NAME_FORMAT_IL) at class.c:474
#14 0x00000000005349b7 in mono_type_get_name_full (type=0x2951e30, format=format@entry=MONO_TYPE_NAME_FORMAT_IL) at class.c:583
#15 0x00000000004b52d7 in mini_resolve_imt_method (vt=vt@entry=0x2936c60, vtable_slot=vtable_slot@entry=0x2936bf0, imt_method=imt_method@entry=0x2b7a7412e8d0, impl_method=impl_method@entry=0x2b7a62216370, out_aot_addr=out_aot_addr@entry=0x2b7a62216360, out_need_rgctx_tramp=out_need_rgctx_tramp@entry=0x2b7a6221635c, variant_iface=0x2b7a62216368, error=0x2b7a622163e0) at mini-trampolines.c:173
#16 0x00000000004b5743 in common_call_trampoline (regs=regs@entry=0x2b7a622164c8, code=code@entry=0x41a5f5b2 "\205\300t\r\213E A\211\a\270\001", m=<optimized out>, vt=vt@entry=0x2936c60, vtable_slot=0x2936bf0, error=error@entry=0x2b7a622163e0) at mini-trampolines.c:564
#17 0x00000000004b62ac in mono_vcall_trampoline (regs=0x2b7a622164c8, code=0x41a5f5b2 "\205\300t\r\213E A\211\a\270\001", slot=-14, tramp=<optimized out>) at mini-trampolines.c:912
#18 0x0000000041c0168c in ?? ()
#19 0x0000000000000000 in ?? ()

Thread 5 (Thread 0x2b7a62011700 (LWP 56260)):
#0  __pthread_kill (threadid=<optimized out>, signo=signo@entry=30) at ../sysdeps/unix/sysv/linux/pthread_kill.c:62
#1  0x0000000000668ea9 in mono_threads_pthread_kill (info=info@entry=0x2b7a70000900, signum=signum@entry=30) at mono-threads-posix.c:330
#2  0x0000000000600d4a in sgen_thread_handshake (suspend=suspend@entry=1) at sgen-os-posix.c:188
#3  0x00000000006014aa in sgen_client_stop_world (generation=generation@entry=0) at sgen-stw.c:225
#4  0x0000000000622dea in sgen_stop_world (generation=0) at sgen-gc.c:3221
#5  0x000000000062316f in sgen_perform_collection (requested_size=4096, generation_to_collect=0, reason=0x72219c "Nursery full", wait_to_finish=wait_to_finish@entry=0, stw=stw@entry=1) at sgen-gc.c:2247
#6  0x000000000062349c in sgen_ensure_free_space (size=<optimized out>, generation=generation@entry=0) at sgen-gc.c:2226
#7  0x0000000000615380 in sgen_alloc_obj_nolock (vtable=vtable@entry=0x2712758, size=size@entry=2168) at sgen-alloc.c:278
#8  0x0000000000601e21 in mono_gc_alloc_vector (vtable=0x2712758, size=2168, max_length=89) at sgen-mono.c:1768
#9  0x000000004180921e in ?? ()
#10 0x00002b7a5e2639d0 in ?? ()
#11 0x00002b7a620116e8 in ?? ()
#12 0x0000000000000878 in ?? ()
#13 0x0000000002712758 in ?? ()
#14 0x0000000000000059 in ?? ()
#15 0x00002b7a6c001e00 in ?? ()
#16 0x0000000000000290 in ?? ()
#17 0x00002b7a6200eab0 in ?? ()
#18 0x00002b7a6200ea10 in ?? ()
#19 0x00000000418071c4 in ?? ()
#20 0x00002b7a5e264248 in ?? ()
#21 0x0000000000635d5e in sgen_fragment_allocator_par_range_alloc (allocator=0x2712758, desired_size=47804630243048, minimum_size=47804565567952, out_alloc_size=0x2b7a6200eab0) at sgen-nursery-allocator.c:589
#22 0x00002b7a63460e10 in ?? ()
#23 0x0000000000000059 in ?? ()
#24 0x0000000000000059 in ?? ()
#25 0x00002b7a6200ec10 in ?? ()
#26 0x00002b7a5f8593f2 in System_Collections_Generic_Dictionary_2_TKey_REF_TValue_REF_Initialize_int (this=..., capacity=89) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#27 0x00002b7a5f857fcb in System_Collections_Generic_Dictionary_2_TKey_REF_TValue_REF__ctor_int_System_Collections_Generic_IEqualityComparer_1_TKey_REF (this=..., capacity=78, comparer=...) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#28 0x0000000041921976 in ?? ()
#29 0x00002b7a5e3bed90 in ?? ()
#30 0x00002b7a620116e8 in ?? ()
#31 0x0000000000000290 in ?? ()
#32 0x073b250d26dc0b00 in ?? ()
#33 0x00000000026cb070 in ?? ()
#34 0x000000000000004e in ?? ()
#35 0x00002b7a5e2637f8 in ?? ()
#36 0x0000000000000000 in ?? ()

Thread 4 (Thread 0x2b7a61e0c700 (LWP 56259)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:225
#1  0x000000000066770a in mono_os_cond_timedwait (timeout_ms=499, mutex=0x9b5420 <sleep_mutex>, cond=0x9b53e0 <sleep_cond>) at ../../mono/utils/mono-os-mutex.h:183
#2  mono_coop_cond_timedwait (cond=0x9b53e0 <sleep_cond>, mutex=0x9b5420 <sleep_mutex>, timeout_ms=499) at ../../mono/utils/mono-coop-mutex.h:99
#3  sleep_interruptable (alerted=0x2b7a61e0bd60, ms=500) at mono-threads.c:1229
#4  mono_thread_info_sleep (ms=ms@entry=500, alerted=alerted@entry=0x2b7a61e0bd60) at mono-threads.c:1261
#5  0x00000000005b15f6 in monitor_thread () at threadpool-ms.c:908
#6  0x00000000005aae5c in start_wrapper_internal (data=<optimized out>) at threads.c:753
#7  start_wrapper (data=<optimized out>) at threads.c:815
#8  0x000000000066974f in inner_start_thread (arg=<optimized out>) at mono-threads-posix.c:156
#9  0x00002b7a5d49a6fa in start_thread (arg=0x2b7a61e0c700) at pthread_create.c:333
#10 0x00002b7a5d9ccb5d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 3 (Thread 0x2b7a603af700 (LWP 56258)):
#0  0x00002b7a5d4a2867 in futex_abstimed_wait_cancelable (private=0, abstime=0x0, expected=0, futex_word=0x9a5400 <finalizer_sem>) at ../sysdeps/unix/sysv/linux/futex-internal.h:205
#1  do_futex_wait (sem=sem@entry=0x9a5400 <finalizer_sem>, abstime=0x0) at sem_waitcommon.c:111
#2  0x00002b7a5d4a2914 in __new_sem_wait_slow (sem=0x9a5400 <finalizer_sem>, abstime=0x0) at sem_waitcommon.c:181
#3  0x00002b7a5d4a29ba in __new_sem_wait (sem=sem@entry=0x9a5400 <finalizer_sem>) at sem_wait.c:29
#4  0x00000000005cf10f in mono_os_sem_wait (flags=MONO_SEM_FLAGS_ALERTABLE, sem=0x9a5400 <finalizer_sem>) at ../../mono/utils/mono-os-semaphore.h:209
#5  mono_coop_sem_wait (flags=MONO_SEM_FLAGS_ALERTABLE, sem=0x9a5400 <finalizer_sem>) at ../../mono/utils/mono-coop-semaphore.h:40
#6  finalizer_thread (unused=unused@entry=0x0) at gc.c:903
#7  0x00000000005aae5c in start_wrapper_internal (data=<optimized out>) at threads.c:753
#8  start_wrapper (data=<optimized out>) at threads.c:815
#9  0x000000000066974f in inner_start_thread (arg=<optimized out>) at mono-threads-posix.c:156
#10 0x00002b7a5d49a6fa in start_thread (arg=0x2b7a603af700) at pthread_create.c:333
#11 0x00002b7a5d9ccb5d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 2 (Thread 0x2b7a5deef700 (LWP 56257)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x000000000063d0df in mono_os_cond_wait (mutex=0x9b4820 <lock>, cond=0x9b47e0 <work_cond>) at ../../mono/utils/mono-os-mutex.h:150
#2  thread_func (thread_data=0x0) at sgen-thread-pool.c:110
#3  0x00002b7a5d49a6fa in start_thread (arg=0x2b7a5deef700) at pthread_create.c:333
#4  0x00002b7a5d9ccb5d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 1 (Thread 0x2b7a5cb8bc40 (LWP 56236)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x000000000066d135 in mono_os_cond_wait (mutex=0x18e4590, cond=0x18e45b8) at mono-os-mutex.h:150
#2  mono_os_cond_timedwait (timeout_ms=4294967295, mutex=0x18e4590, cond=0x18e45b8) at mono-os-mutex.h:164
#3  mono_w32handle_timedwait_signal_naked (cond=0x18e45b8, mutex=0x18e4590, timeout=4294967295, poll=<optimized out>, alerted=<optimized out>) at w32handle.c:1007
#4  0x000000000066eeba in mono_w32handle_timedwait_signal_handle (handle=handle@entry=0x419, timeout=timeout@entry=4294967295, poll=poll@entry=0, alerted=alerted@entry=0x7ffdc18e3b04) at w32handle.c:1122
#5  0x0000000000653d64 in wapi_WaitForSingleObjectEx (handle=handle@entry=0x419, timeout=timeout@entry=4294967295, alertable=alertable@entry=1) at wait.c:148
#6  0x00000000005d6ab6 in ves_icall_System_Threading_Monitor_Monitor_wait (obj=0x2b7a5e11cfc8, ms=4294967295) at monitor.c:1300
#7  0x00002b7a5f873741 in System_Threading_Monitor_ObjWait_bool_int_object (exitContext=false, millisecondsTimeout=-1, obj=0xffffffffffffffff) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#8  0x00002b7a5f873cad in System_Threading_Monitor_Wait_object_int_bool (obj=0x2b7a5e11cfc8, millisecondsTimeout=-1, exitContext=false) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#9  0x00002b7a5f873d34 in System_Threading_Monitor_Wait_object_int (obj=0x2b7a5e11cfc8, millisecondsTimeout=-1) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#10 0x00002b7a5f88458b in System_Threading_ManualResetEventSlim_Wait_int_System_Threading_CancellationToken (this=..., millisecondsTimeout=-1, cancellationToken=0) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#11 0x00002b7a5f89c892 in System_Threading_Tasks_Task_SpinThenBlockingWait_int_System_Threading_CancellationToken (this=..., millisecondsTimeout=-1, cancellationToken=0) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#12 0x00002b7a5f89c7bc in System_Threading_Tasks_Task_InternalWait_int_System_Threading_CancellationToken (this=..., millisecondsTimeout=-1, cancellationToken=0) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#13 0x00002b7a5f9b6211 in System_Runtime_CompilerServices_TaskAwaiter_HandleNonSuccessAndDebuggerNotification_System_Threading_Tasks_Task (task=...) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#14 0x00002b7a5f9b619b in System_Runtime_CompilerServices_TaskAwaiter_ValidateEnd_System_Threading_Tasks_Task (task=...) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#15 0x00002b7a5f9b6153 in System_Runtime_CompilerServices_TaskAwaiter_GetResult (this=140727850778208) from /home/marek/mono/mono/mcs/class/lib/build/mscorlib.dll.so
#16 0x0000000041a1bf64 in ?? ()
#17 0x00002b7a5e150bc8 in ?? ()
#18 0x00002b7a632c0c70 in ?? ()
#19 0x00002b7a632c0c70 in ?? ()
#20 0x00002b7a632c0c70 in ?? ()
#21 0x00002b7a632c0c70 in ?? ()
#22 0x0000000041a15d7c in ?? ()
#23 0x0000000000000000 in ?? ()

=================================================================
Got a SIGABRT while executing native code. This usually indicates
a fatal error in the mono runtime or one of the native libraries
used by your application.
=================================================================

Aborted (core dumped)
Comment 11 Marek Safar 2016-08-17 13:50:02 UTC
tacktrace:


Native stacktrace:

  /home/marek/mono/mono/mono/mini/mono() [0x4b3faf]
  /home/marek/mono/mono/mono/mini/mono() [0x50a4fe]
  /home/marek/mono/mono/mono/mini/mono() [0x427453]
  /lib/x86_64-linux-gnu/libpthread.so.0(+0x113d0) [0x2ba8d01e53d0]
  [0x41808de2]

Debug info from gdb:

mono_class_from_mono_type: implement me 0xb3

* Assertion: should not be reached at class.c:6580

Aborted (core dumped)
Unable to attach: program terminated with signal SIGABRT, Aborted.
Comment 12 Rodrigo Kumpera 2016-08-31 15:38:54 UTC
Based on the crashes above, this is linux only.
Comment 13 Marek Safar 2016-08-31 15:49:33 UTC
it happens anywhere unix like but MacOS crashes usually with less details like (I didn't test windows yet)

Native stacktrace:


Debug info from gdb:

(lldb) command source -s 0 '/tmp/mono-gdb-commands.znLKpW'
Executing commands in '/tmp/mono-gdb-commands.znLKpW'.
(lldb) process attach --pid 59924
error: attach failed: unable to attach

=================================================================
Got a SIGSEGV while executing native code. This usually indicates
a fatal error in the mono runtime or one of the native libraries 
used by your application.
=================================================================
Comment 14 Marek Safar 2016-08-31 15:51:39 UTC
Also crashes from Roslyn running under XS are MacOS see e.g #41913
Comment 15 Stephen Shaw 2016-08-31 16:04:33 UTC
I'm fairly certain I've seen this on XS and mac and pulled similar stuff from XS logs all on macs
Comment 16 Zoltan Varga 2016-08-31 19:04:57 UTC
This is not linux only, happens on osx as well, but its very hard to reproduce, and the crashes are pretty random. Its possible that this is more than one bug, exposed by roslyn being multi-threaded.
Comment 17 Rodrigo Kumpera 2016-09-01 20:34:21 UTC
Vlad / Bernhard,

Could you guys give a shot on this bug?

Repro/diagnosing it has being quite elusive.
Comment 18 Luis Aguilera 2016-09-12 20:13:41 UTC
since C8 is now closed, and is shipping this week, I will move this but to the C8SR1 milestone. We'll continue working on the issue seeking it's resolution as soon as possible.
Comment 19 Vlad Brezae 2016-09-12 20:44:21 UTC
I've been able to reproduce random crashes with roslyn and all were due to changing imt thunks on the fly. It seems that generic virtual invocations can lead to recomputation of the thunk (adding the additional method check) followed by invalidation of the previous thunk, which would wreak havoc if another thread is currently in the thunk. I got no more crashes if we no longer invalidate_generic_virtual_thunk (of course this is a hack fix since it's leaking thunks)

I think we should either not recompute thunks (which equals m2n for each such call, which is bad performance wise) or figure something to prevent races. Maybe check during stw if any threads are in such thunks, and invalidate the rest only when the world is stopped ?

kumpera/vargaz, do you want to take it from here since you have more experience in the area ?
Comment 20 Zoltan Varga 2016-09-15 11:37:07 UTC
https://github.com/mono/mono/pull/3565
Comment 21 Zoltan Varga 2016-09-16 18:32:09 UTC
Should be fixed in mono master. Thanks for tracking this down.
Comment 22 Shruti 2016-10-10 06:58:44 UTC
@Marek, @Zolan: Could you please let us know how we can reproduce this issue before verifying it.

As per duplicate bug #41913, I have created a new instance of HashSet<int> and added few values. And deployed the app with this code snippet on device and emulator as well. But not able to reproduce it.

I have tried it on following Mono Versions to reproduce it:
Mono 4.4.0.200
Mono 4.4.2.0


Could you please help me exact steps or sample project, which could help me to reproduce/verify this issue.